#!/usr/bin/perl

use strict;
use warnings;
#use Tk;
#use Tk::HList;
#use Tk::ItemStyle;
#use Tk::LabFrame;
#use Tk::BrowseEntry;
use Encode::CN;
use utf8;
use Encode;
use Exporter;
use Win32::API;
use FindBin ;
use File::Path;
use lib "$FindBin::Bin";
use File::Copy;
use File::Path qw(make_path);
use File::Copy::Recursive qw(dircopy);
use Data::Dumper;
use output_public;
our @ISA = qw(Exporter output_public);    #继承HB模块
#our @ISA = qw(Exporter);    #继承HB模块

sub new{
	my $self  = shift;
    my $this  = new output_public;
    bless $this,$self;
    return $this;
}


my $self         = new main;

if (! exists  $self->{Job}) {
	$self->tipMessage("提示","请找开要输出的型号再运行脚本",500,300);
	exit;
}

$self->{current_path} = "$FindBin::Bin";
$self->{script_path}  = "$FindBin::Bin";
$self->{matrix}       = $self->info_matrix();
$self->{JOB_PATH}     = $self->GET_JOB_PATH();
$self->{stepList}     = $self->Info_steplist();
$self->{hostname}     = `hostname`;#上传MES需要记录当前电脑
chomp $self->{hostname};

#--计算层数
$self->get_layers_count();


$self->configfile;  #--- 配置文件



#--- 取MES数据
if ($self->{hostname} ne 'TECH62'&& $self->{hostname} ne 'DESKTOP-7PD7MVV') {  #---不是自己的电脑不连接ERP
	$self->inquire_qiangda_main($self->{JOB_PATH});
}


#---读入user信息
$self->get_user_job_info();




$self->{id_cur} = "xf";

#$self->output_gerber_dialog();
$self->output_gerber_dialog_new;


sub configfile{
	my ($file,$tarFile,$bkFile);

	foreach my $one ("set_table_qd.pl","xd_set_table.exe") {
		$file = $self->{script_path}."/$one";
		$tarFile = $ENV{GENESIS_DIR}."/sys/hooks/ncd/$one";
		if (! -e $tarFile && -e $file) {
			copy ($file,$tarFile) or die "$!";
		}
	}


	my $gsdirTar  = "C:/gs/gs9.06";
	my $fileFrom = $self->{script_path}."/init/gs9.06";
	if (! -d $gsdirTar && -d $fileFrom) {	
		dircopy($fileFrom,"C:/gs/gs9.06") or die "$!";
	}





	#====================================
	#---钻孔的------------
	foreach my $one ("out_file","set_table") {
		$file = $self->{script_path}."/init/$one";
		$bkFile = $ENV{GENESIS_DIR}."/sys/hooks/ncd/${one}_20240104";
		$tarFile = $ENV{GENESIS_DIR}."/sys/hooks/ncd/$one";
		if (! -e $bkFile) {
			move($tarFile, $bkFile) or die "$!";
			copy ($file,$tarFile) or die "$!";
		}else{
			copy ($file,$tarFile) or die "$!";
		}
	}

	$file = $self->{script_path}."/init/excellonxd";
	$tarFile = $ENV{GENESIS_DIR}."/sys/hooks/ncd/config/machines/excellonxd";
	if (! -e $tarFile) {
		copy ($file,$tarFile) or die "$!";
	}

	#====================================
	#---锣带的-------------
	$file = $self->{script_path}."/init/out_filer";
	$bkFile = $ENV{GENESIS_DIR}."/sys/hooks/ncr/out_file_20240104";
	$tarFile = $ENV{GENESIS_DIR}."/sys/hooks/ncr/out_file";
	if (! -e $bkFile) {
		move($tarFile, $bkFile) or die "$!";
		copy ($file,$tarFile) or die "$!";
	}else{
		copy ($file,$tarFile) or die "$!";
	}

	$file = $self->{script_path}."/init/excellonr";
	$tarFile = $ENV{GENESIS_DIR}."/sys/hooks/ncr/config/machines/excellonr";
	if (! -e $tarFile) {
		copy ($file,$tarFile) or die "$!";
	}

		


	#my $gsdirTar = "C:/gs/gs8.70";
	#if (! -d $gsdirTar) {
	#	my $fileFrom = $self->{script_path}."/init/gs";
	#	dircopy($fileFrom,"C:/gs") or die "$!";
	#}
	print "configfile -------------ok\n";
}

