#!/usr/bin/perl

=head
     05/15/16 HongBaiQing
=cut

package Dialog_Output_Main;

use utf8;
use warnings;
use strict;
use Data::Dumper;
use Encode;
use Tk;
use Tk::LabFrame;
use Tk::HList;
use Tk::ItemStyle;
use Time::localtime;
use Storable;
use File::Basename;
use Win32::API;
use StayOnTop;
use Data::Dumper;
use Tk::BrowseEntry;
use Tk::Balloon;

my $tes = 0;
sub output_gerber_dialog_new{
	my $self = shift;
	my %dialog;

	$self->{dialog} = \%dialog;
	my $bg_clr2 = '#52ceaf';
	my $font5   = "Helvetica 10 roman";


	$dialog{OutputPath} = "e:/work/$self->{Job}";

	@{$self->{all_part}} = ("orig","drl","culdi","guanwan","mask","silk","silkprint","pdf","mifile");
	foreach my $part (@{$self->{all_part}}) {
		$self->{dialog}{$part}{sel} = 0;
	}


	$dialog{orig}{step} = "orig";
	$dialog{drl}{step} = "pnl";
	$dialog{culdi}{step} = "pnl";
	$dialog{mask}{step} = "pnl";
	$dialog{silk}{step} = "pnl";
	$dialog{silkprint}{step} = "pnl";
	$dialog{mifile}{step} = "pnl";

	$dialog{guanwan}{step} = (grep /set/,@{$self->{stepList}}) ? "set" : "ok";
	$dialog{pdf}{step} = (grep /set/,@{$self->{stepList}}) ? "set" : "ok";


	
	my $mw =MainWindow->new();
	$self->{TOPWIN} = $mw;
	$mw->protocol('WM_DELETE_WINDOW', sub{exit});
	$mw->geometry('830x638+250+50');
	$self->{ICONLOG} = $self->get_picture_icon();
	$mw->iconimage($mw->Photo(-data => $self->{ICONLOG}));
	#$topmw->resizable(0,0);
	$mw->configure(-bg => $bg_clr2);
	$mw->title("V20231229");
    #################################################################################----------------------------------------------------
	my $frm1 = $mw->Frame(    -relief => 'groove', -borderwidth=>2,
							   -bg=>'#52ceaf' ,
							   ) ->place(-x => 5,-y => 3,-width =>825,-height => 42);

	my $placey = 8;
	$frm1->LabEntry(-label=>'输出路径:',
					-labelPack=>[qw/-side left/],
		            -labelFont=> 'Helvetica 12  bold',
					-font=> 'Helvetica 10  bold',
					-labelBackground=>'#52ceaf',
					-textvariable =>\$dialog{OutputPath},
					-bg=> '#9bdbdb',
					-width=>10,
					)->place(-x => 10,-y => $placey,-width => 430,);

	$frm1->Button(-text => '选择目录',-font=>"Helvetica 12  bold",-bg => '#9bdbdb',
					-command => sub{
		
									$dialog{OutputPath} = $self->dirDialogNormal($mw);
									#my $dir = encode('gb2312',$dialog{OutputPath});
									#$dir =~ s/\//\\/g;
									# if (! -d $dir) {
									#	 $mw->messageBox(-message=>"文件夹不存在",-title   => "id:$$",-icon    => 'info',-type    => 'Ok');
									##	 return;
									# }
									# system("C:/windows/explorer.exe $dir > C:/tmp/null2"); #---由于编译勾选了隐藏终端的选项，这里要重定向输出 输出文件不能是/tmp/null 因为这个已被占用了
									                                                       
								   },
					)->place(-x =>450,-y => $placey,-width => 80,-height => 25);








    my $frm2 = $mw->Frame(-borderwidth => 2,-bg => $bg_clr2,-relief => 'groove')
	                          ->place(-x => 5,-y => 50,-width =>630,-height => 580);





	#================原稿===========================
    $dialog{orig}{frm} = $frm2->LabFrame(-label => 'Orig资料',-fg => 'black',-font => 'Bitstream 12 bold',-borderwidth => 2,-bg => $bg_clr2)
	                          ->place(-x => 5,-y => 5,-width => 620,-height => 565);	                        			
	$placey = 8;
    $dialog{orig}{frm}->Label(-text => 'STEP名:',-font=>'Helvetica 10  bold',-bg => '#52ceaf')
            ->place(-x => 5,-y => $placey,-width => 80,-height => 25);	
	$dialog{orig}{frm}->Optionmenu(-variable => \$dialog{orig}{step},-bg=>'#9bdbdb',-font=>'arial 10 bold',
	-options  => [ @{$self->{stepList}}])->place(-x => 78,-y => $placey,-width => 100,-height => 25);


	$dialog{orig}{frm}->Button(-text    =>"全部选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',
                 -command => sub{$self->select_all_layers("orig","select");},
          )->place(-x => 190,-y => $placey,-width =>100,-height => 28);


	$dialog{orig}{frm}->Button(-text    =>"取消选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',,
                 -command => sub{$self->select_all_layers("orig","clear");} ,	
		 )->place(-x => 300,-y => $placey,-width =>100,-height => 28);

	$placey += 40;	

	my $origList = $dialog{orig}{frm}->Scrolled("HList", -columns          => 2, 
                                      -header           => 2, 
                                      -drawbranch       => 1, 
                                      -bg               =>'#52ceaf',
                                      -selectbackground =>'#52ceaf',  
                                      -indicator        => 1,
                                      -font             => 'Helvetica 10  bold',         
                                      -scrollbars       => 'e',
                   )->place(-x => 5,-y => $placey,-width => 600,-height => 470);

	$origList->headerCreate(0, -text             =>'  选择  ' ,
                                         -headerbackground => '#52ceaf');
	$origList->headerCreate(1, -text             => '                       层名                     ' ,
                                         -headerbackground => '#52ceaf');

	my $origp = $self->get_type_layers("orig");
	foreach my $layer (@{$origp}) {
		my $row = $self->{matrix}{$layer}{row};
		$origList->add($row);
		my $cb = $origList->Checkbutton(
			             -variable => \$dialog{orig}{selLayers}{$layer}{sel},
			             -background    => '#52ceaf',
			             -offvalue => '0',					     
			             -onvalue => '1',
					      #-command=> sub{},
						  -indicatoron =>1,);
		$origList->itemCreate($row, 0,-itemtype => 'window', -widget => $cb); 
		my $style = $origList->ItemStyle('text', -background=>$self->{matrix}{$layer}{color},-font =>'Helvetica 10  bold');	
		$origList->itemCreate($row, 1 ,-text =>$layer , -itemtype => 'text',  -style  => $style);
	}
	$dialog{orig}{frm}->placeForget();
	$dialog{orig}{frmStatus} = "close";



	#================钻孔===========================
    $dialog{drl}{frm} = $frm2->LabFrame(-label => 'CNC',-fg => 'black',-font => 'Bitstream 12 bold',-borderwidth => 2,-bg => $bg_clr2)
	                          ->place(-x => 5,-y => 5,-width => 620,-height => 565);
	$placey = 8;
    $dialog{drl}{frm}->Label(-text => 'STEP名:',-font=>'Helvetica 10  bold',-bg => '#52ceaf')
            ->place(-x => 5,-y => $placey,-width => 80,-height => 25);	
	$dialog{drl}{frm}->Optionmenu(-variable => \$dialog{drl}{step},-bg=>'#9bdbdb',-font=>'arial 10 bold',
	-options  => [ @{$self->{stepList}}])->place(-x => 78,-y => $placey,-width => 100,-height => 25);


	$dialog{drl}{frm}->Button(-text    =>"全部选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',
                 -command => sub{$self->select_all_layers("drl","select");},
          )->place(-x => 190,-y => $placey,-width =>100,-height => 28);


	$dialog{drl}{frm}->Button(-text    =>"取消选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',,
                 -command => sub{$self->select_all_layers("drl","clear");} ,	
		 )->place(-x => 300,-y => $placey,-width =>100,-height => 28);


	$placey += 35;
	$dialog{drl}{xscale} = '0';
	$dialog{drl}{yscale} = '0';
	$dialog{drl}{frm}->LabEntry(-label=>'X系数(%%):',
					-labelPack=>[qw/-side left/],
		            -labelFont=> 'Helvetica 10  bold',
					-font=> 'Helvetica 10  bold',
					-labelBackground=>'#52ceaf',
					-textvariable =>\$dialog{drl}{xscale},
					-bg=> '#9bdbdb',
					-width=>10,
					)->place(-x => 10,-y => $placey,-width =>120,-height => 28);

	$dialog{drl}{frm}->LabEntry(-label=>'Y系数(%%):',
					-labelPack=>[qw/-side left/],
		            -labelFont=> 'Helvetica 10  bold',
					-font=> 'Helvetica 10  bold',
					-labelBackground=>'#52ceaf',
					-textvariable =>\$dialog{drl}{yscale},
					-bg=> '#9bdbdb',
					-width=>10,
					)->place(-x => 130,-y => $placey,-width =>120,-height => 28);

	$dialog{drl}{frm}->Button(-text    =>"更改系数",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',,
                 -command => sub{$self->change_lsxs("drl")} ,	
		 )->place(-x => 255,-y => $placey,-width =>80,-height => 28);


	$placey += 35;	
	my $drlList = $dialog{drl}{frm}->Scrolled("HList", -columns          => 5, 
                                      -header           => 2, 
                                      -drawbranch       => 1, 
                                      -bg               =>'#52ceaf',
                                      -selectbackground =>'#52ceaf',  
                                      -indicator        => 1,
                                      -font             => 'Helvetica 10  bold',         
                                      -scrollbars       => 'se',
                   )->place(-x => 5,-y => $placey,-width => 600,-height => 450);



	$drlList->headerCreate(0, -text             =>' 选择 ' ,
                                         -headerbackground => '#52ceaf');
	$drlList->headerCreate(1, -text             => '    层名      ' ,
                                         -headerbackground => '#52ceaf');
	$drlList->headerCreate(2, -text             => '      镜像      ' ,
                                         -headerbackground => '#52ceaf');

	$drlList->headerCreate(3, -text             => '   X涨缩(%%)  ',
                                         -headerbackground => '#52ceaf');
	$drlList->headerCreate(4, -text             => '   Y涨缩(%%)  ',
                                         -headerbackground => '#52ceaf');



	my $drlp = $self->get_type_layers("drl");
	foreach my $layer (@{$drlp}) {
		my $row = $self->{matrix}{$layer}{row};
		$drlList->add($row);
		my $cb = $drlList->Checkbutton(
			             -variable => \$dialog{drl}{selLayers}{$layer}{sel},
			             -background    => '#52ceaf',
			             -offvalue => '0',					     
			             -onvalue => '1',
					      #-command=> sub{},
						  -indicatoron =>1,);
		$drlList->itemCreate($row, 0,-itemtype => 'window', -widget => $cb); 
		my $style = $drlList->ItemStyle('text', -background=>$self->{matrix}{$layer}{color},-font =>'Helvetica 10  bold');	
		$drlList->itemCreate($row, 1 ,-text =>$layer , -itemtype => 'text',  -style  => $style);

		$dialog{drl}{selLayers}{$layer}{mir} = ($layer =~ /b$/) ? "yes" : "no";
		$cb = $drlList->Optionmenu(-font=>'charter 10 bold',-bg => '#9bdbdb',-variable => \$dialog{drl}{selLayers}{$layer}{mir},-options => [qw/no yes/],);
		$drlList->itemCreate($row, 2,-itemtype => 'window', -widget => $cb); 



 		$dialog{drl}{selLayers}{$layer}{xscale} = '0';
		$dialog{drl}{selLayers}{$layer}{yscale} = '0';

		$cb = $drlList->Entry(-width  => '9',-font=>'charter 10 bold',-bg => 'yellow',-textvariable => \$dialog{drl}{selLayers}{$layer}{xscale});
		$drlList->itemCreate($row, 3,-itemtype => 'window', -widget => $cb); 

		$cb = $drlList->Entry(-width  => '9',-font=>'charter 10 bold',-bg => 'yellow',-textvariable => \$dialog{drl}{selLayers}{$layer}{yscale});
		$drlList->itemCreate($row, 4,-itemtype => 'window', -widget => $cb);
	}
	$dialog{drl}{frm}->placeForget();
	$dialog{drl}{frmStatus} = "close";





	#==============culdi==========================
    $dialog{culdi}{frm} = $frm2->LabFrame(-label => '线路LDI',-fg => 'black',-font => 'Bitstream 12 bold',-borderwidth => 2,-bg => $bg_clr2)
	                          ->place(-x => 5,-y => 5,-width => 620,-height => 565);
	$placey = 8;
    $dialog{culdi}{frm}->Label(-text => 'STEP名:',-font=>'Helvetica 10  bold',-bg => '#52ceaf')
            ->place(-x => 5,-y => $placey,-width => 80,-height => 25);	
	$dialog{culdi}{frm}->Optionmenu(-variable => \$dialog{culdi}{step},-bg=>'#9bdbdb',-font=>'arial 10 bold',
	#-command =>sub{$self->get_step_profile($dialog{culdi}{step})},
	-options  => [ @{$self->{stepList}}])->place(-x => 78,-y => $placey,-width => 100,-height => 25);


	$dialog{culdi}{frm}->Button(-text    =>"全部选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',
                 -command => sub{$self->select_all_layers("culdi","select");},
          )->place(-x => 190,-y => $placey,-width =>100,-height => 28);


	$dialog{culdi}{frm}->Button(-text    =>"取消选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',,
                 -command => sub{$self->select_all_layers("culdi","clear");} ,	
		 )->place(-x => 300,-y => $placey,-width =>100,-height => 28);

	
	my @jw = ();
	$self->get_step_profile($dialog{culdi}{step});
	my $bwide   = sprintf ("%0.0f",$self->{PROF_xmax}*25.4);
	my $blength = sprintf ("%0.0f",$self->{PROF_ymax}*25.4);
	push @jw,$bwide,$blength;
    $dialog{culdi}{frm}->Label(-text => '纬向:',-font=>'Helvetica 10  bold',-bg => '#52ceaf')
            ->place(-x => 450,-y => $placey,-width => 80,-height => 25);	
	my $jwBut = $dialog{culdi}{frm}->Optionmenu(-variable => \$dialog{culdi}{jw},-bg=>'#9bdbdb',-font=>'arial 10 bold',
	-options  => [@jw])->place(-x =>510,-y => $placey,-width => 80,-height => 25);

	$placey += 35;
	$dialog{culdi}{xscale} = '0';
	$dialog{culdi}{yscale} = '0';
	$dialog{culdi}{frm}->LabEntry(-label=>'X系数(%%):',
					-labelPack=>[qw/-side left/],
		            -labelFont=> 'Helvetica 10  bold',
					-font=> 'Helvetica 10  bold',
					-labelBackground=>'#52ceaf',
					-textvariable =>\$dialog{culdi}{xscale},
					-bg=> '#9bdbdb',
					-width=>10,
					)->place(-x => 10,-y => $placey,-width =>120,-height => 28);

	$dialog{culdi}{frm}->LabEntry(-label=>'Y系数(%%):',
					-labelPack=>[qw/-side left/],
		            -labelFont=> 'Helvetica 10  bold',
					-font=> 'Helvetica 10  bold',
					-labelBackground=>'#52ceaf',
					-textvariable =>\$dialog{culdi}{yscale},
					-bg=> '#9bdbdb',
					-width=>10,
					)->place(-x => 130,-y => $placey,-width =>120,-height => 28);


	$dialog{culdi}{frm}->Button(-text    =>"更改系数",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',,
                 -command => sub{$self->change_lsxs("culdi")} ,	
		 )->place(-x => 255,-y => $placey,-width =>80,-height => 28);



	my @wf = ('',"内层","外层","内层外层");
    $dialog{culdi}{frm}->Label(-text => '输出线路:',-font=>'Helvetica 10  bold',-bg => '#52ceaf')
            ->place(-x => 430,-y => $placey,-width => 80,-height => 25);	
	$dialog{culdi}{frm}->Optionmenu(-variable => \$dialog{culdi}{wf},-bg=>'#9bdbdb',-font=>'arial 10 bold',
	-options  => [@wf])->place(-x =>510,-y => $placey,-width => 80,-height => 25);





	$placey += 35;	
	my $culdiList = $dialog{culdi}{frm}->Scrolled("HList", -columns          => 9, 
                                      -header           => 2, 
                                      -drawbranch       => 1, 
                                      -bg               =>'#52ceaf',
                                      -selectbackground =>'#52ceaf',  
                                      -indicator        => 1,
                                      -font             => 'Helvetica 10  bold',         
                                      -scrollbars       => 'se',
                   )->place(-x => 5,-y => $placey,-width => 610,-height => 450);

	$culdiList->headerCreate(0, -text             =>'选择' ,
                                         -headerbackground => '#52ceaf');
	$culdiList->headerCreate(1, -text             => ' 顶层 ' ,
                                         -headerbackground => '#52ceaf');
	$culdiList->headerCreate(2, -text             => '底层' ,
                                         -headerbackground => '#52ceaf');

	$culdiList->headerCreate(3, -text             => '内外层' ,
                                         -headerbackground => '#52ceaf');

	$culdiList->headerCreate(4, -text             => '正负' ,
                                         -headerbackground => '#52ceaf');

	$culdiList->headerCreate(5, -text             => ' X涨缩(%%) ',
                                         -headerbackground => '#52ceaf');
	$culdiList->headerCreate(6, -text             => ' Y涨缩(%%) ',
                                         -headerbackground => '#52ceaf');

	$culdiList->headerCreate(7, -text             => ' 板厚  ',
                                         -headerbackground => '#52ceaf');
	$culdiList->headerCreate(8, -text             => '     铜厚    ',
                                         -headerbackground => '#52ceaf');



	my ($culidlayersT,$culidlayersB) = $self->get_type_layers("culdi");
	push @{$culidlayersB},'';




	foreach my $layer (@{$culidlayersT}) {
		my $row = $self->{matrix}{$layer}{row};
		$culdiList->add($row);
		my $cb = $culdiList->Checkbutton(
			             -variable => \$dialog{culdi}{selLayers}{$layer}{sel},
			             -background    => '#52ceaf',
			             -offvalue => '0',					     
			             -onvalue => '1',
					      #-command=> sub{},
						  -indicatoron =>1,);
		$culdiList->itemCreate($row, 0,-itemtype => 'window', -widget => $cb); 
		my $style = $culdiList->ItemStyle('text', -background=>$self->{matrix}{$layer}{color},-font =>'Helvetica 10  bold');	
		$culdiList->itemCreate($row, 1 ,-text =>$layer , -itemtype => 'text',  -style  => $style);


		#---对应面
		$dialog{culdi}{selLayers}{$layer}{another} = ($layer =~ /^tl$/ && exists $self->{matrix}{bl}) ? "bl" 
			: $self->{matrix}{$layer}{another} ;

		my $opt = $culdiList->Optionmenu(-font=>'charter 10 bold',-bg => '#9bdbdb',
			-variable => \$dialog{culdi}{selLayers}{$layer}{another},
			-options => $culidlayersB);
		$culdiList->itemCreate($row, 2,-itemtype => 'window', -widget => $opt); 


		$dialog{culdi}{selLayers}{$layer}{innerOuter} = ($layer =~ /^tl$|^bl$/) ? "外层" : "内层";
		my $opt3 = $culdiList->Optionmenu(-font=>'charter 10 bold',-bg => '#9bdbdb',
			-variable => \$dialog{culdi}{selLayers}{$layer}{innerOuter},
			-options => [qw/内层 外层/]);
		$culdiList->itemCreate($row, 3,-itemtype => 'window', -widget => $opt3); 

		if ($layer =~ /^tl$/) {
			 $self->{matrix}{$layer}{gongyi} = $self->{jobUserInfo}{'外层线路工艺'};
		}

		$dialog{culdi}{selLayers}{$layer}{pol} = $self->{matrix}{$layer}{gongyi};



		my $opt2 = $culdiList->Optionmenu(-font=>'charter 10 bold',-bg => '#9bdbdb',
			-variable => \$dialog{culdi}{selLayers}{$layer}{pol},
			-options => [qw/负片 正片/]);
		$culdiList->itemCreate($row, 4,-itemtype => 'window', -widget => $opt2); 



	
		$dialog{culdi}{selLayers}{$layer}{xscale} = $self->{matrix}{$layer}{xscale};
		$dialog{culdi}{selLayers}{$layer}{yscale} = $self->{matrix}{$layer}{yscale};

		$cb = $culdiList->Entry(-width  => '9',-font=>'charter 10 bold',-bg => 'yellow',-textvariable => \$dialog{culdi}{selLayers}{$layer}{xscale});
		$culdiList->itemCreate($row, 5,-itemtype => 'window', -widget => $cb); 

		$cb = $culdiList->Entry(-width  => '9',-font=>'charter 10 bold',-bg => 'yellow',-textvariable => \$dialog{culdi}{selLayers}{$layer}{yscale});
		$culdiList->itemCreate($row, 6,-itemtype => 'window', -widget => $cb);

		#--芯板厚度
		$dialog{culdi}{selLayers}{$layer}{xinthk} = $self->{matrix}{$layer}{xinthk};
		$cb = $culdiList->Entry(-width  => '5',-font=>'charter 10 bold',-bg => 'yellow',-textvariable => \$dialog{culdi}{selLayers}{$layer}{xinthk});
		$culdiList->itemCreate($row, 7,-itemtype => 'window', -widget => $cb);
	

		#--底铜
		my $another = $self->{matrix}{$layer}{another};
		$dialog{culdi}{selLayers}{$layer}{cuthk} = $self->{matrix}{$layer}{cuthk}."/".$self->{matrix}{$another}{cuthk};
		


		$cb = $culdiList->Entry(-width  => '5',-font=>'charter 10 bold',-bg => 'yellow',-textvariable => \$dialog{culdi}{selLayers}{$layer}{cuthk});
		$culdiList->itemCreate($row, 8,-itemtype => 'window', -widget => $cb);

	}
	$jwBut->configure(-command =>sub{$self->set_xyscale_values($dialog{culdi}{jw});
									  foreach my $layer (@{$culidlayersT}) {
										 $dialog{culdi}{selLayers}{$layer}{xscale} = $self->{matrix}{$layer}{xscale};
										 $dialog{culdi}{selLayers}{$layer}{yscale} = $self->{matrix}{$layer}{yscale};
									  }
									}); 

	$dialog{culdi}{frm}->placeForget();
	$dialog{culdi}{frmStatus} = "close";





	#==============钢网==========================
    $dialog{guanwan}{frm} = $frm2->LabFrame(-label => '钢网',-fg => 'black',-font => 'Bitstream 12 bold',-borderwidth => 2,-bg => $bg_clr2)
	                          ->place(-x => 5,-y => 5,-width => 620,-height => 565);
	$placey = 8;
    $dialog{guanwan}{frm}->Label(-text => 'STEP名:',-font=>'Helvetica 10  bold',-bg => '#52ceaf')
            ->place(-x => 5,-y => $placey,-width => 80,-height => 25);	
	$dialog{guanwan}{frm}->Optionmenu(-variable => \$dialog{guanwan}{step},-bg=>'#9bdbdb',-font=>'arial 10 bold',
	-options  => [ @{$self->{stepList}}])->place(-x => 78,-y => $placey,-width => 100,-height => 25);


	$dialog{guanwan}{frm}->Button(-text    =>"全部选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',
                 -command => sub{$self->select_all_layers("guanwan","select");},
          )->place(-x => 190,-y => $placey,-width =>100,-height => 28);


	$dialog{guanwan}{frm}->Button(-text    =>"取消选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',,
                 -command => sub{$self->select_all_layers("guanwan","clear");} ,	
		 )->place(-x => 300,-y => $placey,-width =>100,-height => 28);



 	$dialog{guanwan}{frm}->Label(-text => '深圳订单:',-font=>'Helvetica 12 bold',-bg => '#52ceaf')
                  ->place(-x => 420,-y => $placey,-width =>90,-height => 28);
	$dialog{guanwan}{frm}->Optionmenu(-variable => \$dialog{guanwan}{shenzhen},-bg=>'#9bdbdb',-font=>'arial 10 bold',
		-command=>sub{$self->gwsz()},
	-options  => [ qw/否 是/]) ->place(-x => 515,-y => $placey,-width =>60,-height => 28);






	$placey += 35;	
	my $guanwanList = $dialog{guanwan}{frm}->Scrolled("HList", -columns          => 2, 
                                      -header           => 2, 
                                      -drawbranch       => 1, 
                                      -bg               =>'#52ceaf',
                                      -selectbackground =>'#52ceaf',  
                                      -indicator        => 1,
                                      -font             => 'Helvetica 10  bold',         
                                      -scrollbars       => 'se',
                   )->place(-x => 5,-y => $placey,-width => 600,-height => 470);

	$guanwanList->headerCreate(0, -text             =>'  选择  ' ,
                                         -headerbackground => '#52ceaf');
	$guanwanList->headerCreate(1, -text             => '                   层名                 ' ,
                                         -headerbackground => '#52ceaf');



	my $guanwanp = $self->get_type_layers("guanwan");
	foreach my $layer (@{$guanwanp}) {
		my $row = $self->{matrix}{$layer}{row};
		$guanwanList->add($row);
		my $cb = $guanwanList->Checkbutton(
			             -variable => \$dialog{guanwan}{selLayers}{$layer}{sel},
			             -background    => '#52ceaf',
			             -offvalue => '0',					     
			             -onvalue => '1',
					      #-command=> sub{},
						  -indicatoron =>1,);
		$guanwanList->itemCreate($row, 0,-itemtype => 'window', -widget => $cb); 
		my $style = $guanwanList->ItemStyle('text', -background=>$self->{matrix}{$layer}{color},-font =>'Helvetica 10  bold');	
		$guanwanList->itemCreate($row, 1 ,-text =>$layer , -itemtype => 'text',  -style  => $style);
 
	}
	$dialog{guanwan}{frm}->placeForget();
	$dialog{guanwan}{frmStatus} = "close";


	#==================
	#==================
	#==============阻焊==========================
    $dialog{mask}{frm} = $frm2->LabFrame(-label => '阻焊',-fg => 'black',-font => 'Bitstream 12 bold',-borderwidth => 2,-bg => $bg_clr2)
	                          ->place(-x => 5,-y => 5,-width => 620,-height => 565);
	$placey = 8;
    $dialog{mask}{frm}->Label(-text => 'STEP名:',-font=>'Helvetica 10  bold',-bg => '#52ceaf')
            ->place(-x => 5,-y => $placey,-width => 80,-height => 25);	
	$dialog{mask}{frm}->Optionmenu(-variable => \$dialog{mask}{step},-bg=>'#9bdbdb',-font=>'arial 10 bold',
	-options  => [ @{$self->{stepList}}])->place(-x => 78,-y => $placey,-width => 100,-height => 25);


	$dialog{mask}{frm}->Button(-text    =>"全部选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',
                 -command => sub{$self->select_all_layers("mask","select");},
          )->place(-x => 190,-y => $placey,-width =>100,-height => 28);


	$dialog{mask}{frm}->Button(-text    =>"取消选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',,
                 -command => sub{$self->select_all_layers("mask","clear");} ,	
		 )->place(-x => 300,-y => $placey,-width =>100,-height => 28);


	$placey += 35;
	$dialog{mask}{xscale} = '0';
	$dialog{mask}{yscale} = '0';
	$dialog{mask}{frm}->LabEntry(-label=>'X系数(%%):',
					-labelPack=>[qw/-side left/],
		            -labelFont=> 'Helvetica 10  bold',
					-font=> 'Helvetica 10  bold',
					-labelBackground=>'#52ceaf',
					-textvariable =>\$dialog{mask}{xscale},
					-bg=> '#9bdbdb',
					-width=>10,
					)->place(-x => 10,-y => $placey,-width =>120,-height => 28);

	$dialog{mask}{frm}->LabEntry(-label=>'Y系数(%%):',
					-labelPack=>[qw/-side left/],
		            -labelFont=> 'Helvetica 10  bold',
					-font=> 'Helvetica 10  bold',
					-labelBackground=>'#52ceaf',
					-textvariable =>\$dialog{mask}{yscale},
					-bg=> '#9bdbdb',
					-width=>10,
					)->place(-x => 130,-y => $placey,-width =>120,-height => 28);
	$dialog{mask}{frm}->Button(-text    =>"更改系数",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',,
                 -command => sub{$self->change_lsxs("mask")} ,	
		 )->place(-x => 255,-y => $placey,-width =>80,-height => 28);



	$placey += 35;	
	my $maskList = $dialog{mask}{frm}->Scrolled("HList", -columns          => 4, 
                                      -header           => 2, 
                                      -drawbranch       => 1, 
                                      -bg               =>'#52ceaf',
                                      -selectbackground =>'#52ceaf',  
                                      -indicator        => 1,
                                      -font             => 'Helvetica 10  bold',         
                                      -scrollbars       => 'se',
                   )->place(-x => 5,-y => $placey,-width => 600,-height => 450);

	$maskList->headerCreate(0, -text             =>'  选择  ' ,
                                         -headerbackground => '#52ceaf');
	$maskList->headerCreate(1, -text             => '    层名      ' ,
                                         -headerbackground => '#52ceaf');

	$maskList->headerCreate(2, -text             => '     X涨缩   ',
                                         -headerbackground => '#52ceaf');
	$maskList->headerCreate(3, -text             => '    Y涨缩   ',
                                         -headerbackground => '#52ceaf');



	my $maskp = $self->get_type_layers("mask");
	foreach my $layer (@{$maskp}) {
		my $row = $self->{matrix}{$layer}{row};
		$maskList->add($row);
		my $cb = $maskList->Checkbutton(
			             -variable => \$dialog{mask}{selLayers}{$layer}{sel},
			             -background    => '#52ceaf',
			             -offvalue => '0',					     
			             -onvalue => '1',
					      #-command=> sub{},
						  -indicatoron =>1,);
		$maskList->itemCreate($row, 0,-itemtype => 'window', -widget => $cb); 
		my $style = $maskList->ItemStyle('text', -background=>$self->{matrix}{$layer}{color},-font =>'Helvetica 10  bold');	
		$maskList->itemCreate($row, 1 ,-text =>$layer , -itemtype => 'text',  -style  => $style);



 		$dialog{mask}{selLayers}{$layer}{xscale} = '0';
		$dialog{mask}{selLayers}{$layer}{yscale} = '0';

		$cb = $maskList->Entry(-width  => '9',-font=>'charter 10 bold',-bg => 'yellow',-textvariable => \$dialog{mask}{selLayers}{$layer}{xscale});
		$maskList->itemCreate($row, 2,-itemtype => 'window', -widget => $cb); 

		$cb = $maskList->Entry(-width  => '9',-font=>'charter 10 bold',-bg => 'yellow',-textvariable => \$dialog{mask}{selLayers}{$layer}{yscale});
		$maskList->itemCreate($row, 3,-itemtype => 'window', -widget => $cb);
	}
	$dialog{mask}{frm}->placeForget();
	$dialog{mask}{frmStatus} = "close";


	#==================
	#==================
	#==============字符==========================
    $dialog{silk}{frm} = $frm2->LabFrame(-label => '字符',-fg => 'black',-font => 'Bitstream 12 bold',-borderwidth => 2,-bg => $bg_clr2)
	                          ->place(-x => 5,-y => 5,-width => 620,-height => 565);
	$placey = 8;
    $dialog{silk}{frm}->Label(-text => 'STEP名:',-font=>'Helvetica 10  bold',-bg => '#52ceaf')
            ->place(-x => 5,-y => $placey,-width => 80,-height => 25);	
	$dialog{silk}{frm}->Optionmenu(-variable => \$dialog{silk}{step},-bg=>'#9bdbdb',-font=>'arial 10 bold',
	-options  => [ @{$self->{stepList}}])->place(-x => 78,-y => $placey,-width => 100,-height => 25);


	$dialog{silk}{frm}->Button(-text    =>"全部选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',
                 -command => sub{$self->select_all_layers("silk","select");},
          )->place(-x => 190,-y => $placey,-width =>100,-height => 28);


	$dialog{silk}{frm}->Button(-text    =>"取消选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',,
                 -command => sub{$self->select_all_layers("silk","clear");} ,	
		 )->place(-x => 300,-y => $placey,-width =>100,-height => 28);


	$placey += 35;
	$dialog{silk}{xscale} = '0';
	$dialog{silk}{yscale} = '0';
	$dialog{silk}{frm}->LabEntry(-label=>'X系数(%%):',
					-labelPack=>[qw/-side left/],
		            -labelFont=> 'Helvetica 10  bold',
					-font=> 'Helvetica 10  bold',
					-labelBackground=>'#52ceaf',
					-textvariable =>\$dialog{silk}{xscale},
					-bg=> '#9bdbdb',
					-width=>10,
					)->place(-x => 10,-y => $placey,-width =>120,-height => 28);

	$dialog{silk}{frm}->LabEntry(-label=>'Y系数(%%):',
					-labelPack=>[qw/-side left/],
		            -labelFont=> 'Helvetica 10  bold',
					-font=> 'Helvetica 10  bold',
					-labelBackground=>'#52ceaf',
					-textvariable =>\$dialog{silk}{yscale},
					-bg=> '#9bdbdb',
					-width=>10,
					)->place(-x => 130,-y => $placey,-width =>120,-height => 28);

	$dialog{silk}{frm}->Button(-text    =>"更改系数",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',,
                 -command => sub{$self->change_lsxs("silk")} ,	
		 )->place(-x => 255,-y => $placey,-width =>80,-height => 28);


	$placey += 35;	
	my $silkList = $dialog{silk}{frm}->Scrolled("HList", -columns          => 4, 
                                      -header           => 2, 
                                      -drawbranch       => 1, 
                                      -bg               =>'#52ceaf',
                                      -selectbackground =>'#52ceaf',  
                                      -indicator        => 1,
                                      -font             => 'Helvetica 10  bold',         
                                      -scrollbars       => 'se',
                   )->place(-x => 5,-y => $placey,-width => 600,-height => 450);

	$silkList->headerCreate(0, -text             =>'  选择  ' ,
                                         -headerbackground => '#52ceaf');
	$silkList->headerCreate(1, -text             => '    层名      ' ,
                                         -headerbackground => '#52ceaf');

	$silkList->headerCreate(2, -text             => ' X涨缩(%%)   ',
                                         -headerbackground => '#52ceaf');
	$silkList->headerCreate(3, -text             => ' Y涨缩(%%)   ',
                                         -headerbackground => '#52ceaf');



	my $silkp = $self->get_type_layers("silk");
	foreach my $layer (@{$silkp}) {
		my $row = $self->{matrix}{$layer}{row};
		$silkList->add($row);
		my $cb = $silkList->Checkbutton(
			             -variable => \$dialog{silk}{selLayers}{$layer}{sel},
			             -background    => '#52ceaf',
			             -offvalue => '0',					     
			             -onvalue => '1',
					      #-command=> sub{},
						  -indicatoron =>1,);
		$silkList->itemCreate($row, 0,-itemtype => 'window', -widget => $cb); 
		my $style = $silkList->ItemStyle('text', -background=>$self->{matrix}{$layer}{color},-font =>'Helvetica 10  bold');	
		$silkList->itemCreate($row, 1 ,-text =>$layer , -itemtype => 'text',  -style  => $style);
 
		$dialog{silk}{selLayers}{$layer}{xscale} = '0';
		$dialog{silk}{selLayers}{$layer}{yscale} = '0';
		$cb = $silkList->Entry(-width  => '9',-font=>'charter 10 bold',-bg => 'yellow',-textvariable => \$dialog{silk}{selLayers}{$layer}{xscale});
		$silkList->itemCreate($row, 2,-itemtype => 'window', -widget => $cb); 

		$cb = $silkList->Entry(-width  => '9',-font=>'charter 10 bold',-bg => 'yellow',-textvariable => \$dialog{silk}{selLayers}{$layer}{yscale});
		$silkList->itemCreate($row, 3,-itemtype => 'window', -widget => $cb);
	}
	$dialog{silk}{frm}->placeForget();
	$dialog{silk}{frmStatus} = "close";


	#==================
	#==================
	#==============字符打印机==========================
    $dialog{silkprint}{frm} = $frm2->LabFrame(-label => '字符打印机',-fg => 'black',-font => 'Bitstream 12 bold',-borderwidth => 2,-bg => $bg_clr2)
	                          ->place(-x => 5,-y => 5,-width => 620,-height => 565);
	$placey = 8;
    $dialog{silkprint}{frm}->Label(-text => 'STEP名:',-font=>'Helvetica 10  bold',-bg => '#52ceaf')
            ->place(-x => 5,-y => $placey,-width => 80,-height => 25);	
	$dialog{silkprint}{frm}->Optionmenu(-variable => \$dialog{silkprint}{step},-bg=>'#9bdbdb',-font=>'arial 10 bold',
	-options  => [ @{$self->{stepList}}])->place(-x => 78,-y => $placey,-width => 100,-height => 25);


	$dialog{silkprint}{frm}->Button(-text    =>"全部选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',
                 -command => sub{$self->select_all_layers("silkprint","select");},
          )->place(-x => 190,-y => $placey,-width =>100,-height => 28);


	$dialog{silkprint}{frm}->Button(-text    =>"取消选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',,
                 -command => sub{$self->select_all_layers("silkprint","clear");} ,	
		 )->place(-x => 300,-y => $placey,-width =>100,-height => 28);


	$placey += 35;	
	my $silkprintList = $dialog{silkprint}{frm}->Scrolled("HList", -columns          => 2, 
                                      -header           => 3, 
                                      -drawbranch       => 1, 
                                      -bg               =>'#52ceaf',
                                      -selectbackground =>'#52ceaf',  
                                      -indicator        => 1,
                                      -font             => 'Helvetica 10  bold',         
                                      -scrollbars       => 'se',
                   )->place(-x => 5,-y => $placey,-width => 600,-height => 470);

	$silkprintList->headerCreate(0, -text             =>'  选择  ' ,
                                         -headerbackground => '#52ceaf');
	$silkprintList->headerCreate(1, -text             => '                   层名                     ' ,
                                         -headerbackground => '#52ceaf');

	my $silkprintp = $self->get_type_layers("silkprint");
	foreach my $layer (@{$silkprintp}) {
		my $row = $self->{matrix}{$layer}{row};
		$silkprintList->add($row);
		my $cb = $silkprintList->Checkbutton(
			             -variable => \$dialog{silkprint}{selLayers}{$layer}{sel},
			             -background    => '#52ceaf',
			             -offvalue => '0',					     
			             -onvalue => '1',
					      #-command=> sub{},
						  -indicatoron =>1,);
		$silkprintList->itemCreate($row, 0,-itemtype => 'window', -widget => $cb); 
		my $style = $silkprintList->ItemStyle('text', -background=>$self->{matrix}{$layer}{color},-font =>'Helvetica 10  bold');	
		$silkprintList->itemCreate($row, 1 ,-text =>$layer , -itemtype => 'text',  -style  => $style);
	}
	$dialog{silkprint}{frm}->placeForget();
	$dialog{silkprint}{frmStatus} = "close";


	#==================
	#==================
	#================pdf===========================
    $dialog{pdf}{frm} = $frm2->LabFrame(-label => 'PDF&DXF资料',-fg => 'black',-font => 'Bitstream 12 bold',-borderwidth => 2,-bg => $bg_clr2)
	                          ->place(-x => 5,-y => 5,-width => 620,-height => 565);	                        			
	$placey = 8;
    $dialog{pdf}{frm}->Label(-text => 'STEP名:',-font=>'Helvetica 10  bold',-bg => '#52ceaf')
            ->place(-x => 5,-y => $placey,-width => 80,-height => 25);	
	$dialog{pdf}{frm}->Optionmenu(-variable => \$dialog{pdf}{step},-bg=>'#9bdbdb',-font=>'arial 10 bold',
	-options  => [ @{$self->{stepList}}])->place(-x => 78,-y => $placey,-width => 100,-height => 25);


	$dialog{pdf}{frm}->Button(-text    =>"全部选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',
                 -command => sub{$self->select_all_layers("pdf","select");},
          )->place(-x => 190,-y => $placey,-width =>100,-height => 28);


	$dialog{pdf}{frm}->Button(-text    =>"取消选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',,
                 -command => sub{$self->select_all_layers("pdf","clear");} ,	
		 )->place(-x => 300,-y => $placey,-width =>100,-height => 28);

	$placey += 40;	

	my $pdfList = $dialog{pdf}{frm}->Scrolled("HList", -columns          => 3, 
                                      -header           => 1, 
                                      -drawbranch       => 1, 
                                      -bg               =>'#52ceaf',
                                      -selectbackground =>'#52ceaf',  
                                      -indicator        => 1,
                                      -font             => 'Helvetica 10  bold',         
                                      -scrollbars       => 'e',
                   )->place(-x => 5,-y => $placey,-width => 600,-height => 470);

	$pdfList->headerCreate(0, -text             =>'  选择  ' ,
                                         -headerbackground => '#52ceaf');
	$pdfList->headerCreate(1, -text             => '         层名         ' ,
                                         -headerbackground => '#52ceaf');

	$pdfList->headerCreate(2, -text             => '     更改step   ' ,
                                         -headerbackground => '#52ceaf');


	my $pdfp = $self->get_type_layers("pdf");
	foreach my $layer (@{$pdfp}) {
		my $row = $self->{matrix}{$layer}{row};
		$pdfList->add($row);
		my $cb = $pdfList->Checkbutton(
			             -variable => \$dialog{pdf}{selLayers}{$layer}{sel},
			             -background    => '#52ceaf',
			             -offvalue => '0',					     
			             -onvalue => '1',
					      #-command=> sub{},
						  -indicatoron =>1,);
		$pdfList->itemCreate($row, 0,-itemtype => 'window', -widget => $cb); 
		my $style = $pdfList->ItemStyle('text', -background=>$self->{matrix}{$layer}{color},-font =>'Helvetica 10  bold');	
		$pdfList->itemCreate($row, 1 ,-text =>$layer , -itemtype => 'text',  -style  => $style);

		my @all = ("",@{$self->{stepList}});
		$dialog{pdf}{selLayers}{$layer}{changeStep} = "";
		if ($layer =~ /vcutmap/) {
			$dialog{pdf}{selLayers}{$layer}{changeStep} = "pnl";
		}
		my $opt = $pdfList->Optionmenu(-font=>'charter 10 bold',-bg => '#9bdbdb',
			-variable => \$dialog{pdf}{selLayers}{$layer}{changeStep},
			-options => [@all]);
		$pdfList->itemCreate($row, 2 ,-itemtype => 'window', -widget => $opt);

	}
	$dialog{pdf}{frm}->placeForget();
	$dialog{pdf}{frmStatus} = "close";



	#==================
	#==================
	#================mifile===========================
    $dialog{mifile}{frm} = $frm2->LabFrame(-label => 'mi文件资料',-fg => 'black',-font => 'Bitstream 12 bold',-borderwidth => 2,-bg => $bg_clr2)
	                          ->place(-x => 5,-y => 5,-width => 620,-height => 565);	                        			
	$placey = 8;
    $dialog{mifile}{frm}->Label(-text => 'STEP名:',-font=>'Helvetica 10  bold',-bg => '#52ceaf')
            ->place(-x => 5,-y => $placey,-width => 80,-height => 25);	
	$dialog{mifile}{frm}->Optionmenu(-variable => \$dialog{mifile}{step},-bg=>'#9bdbdb',-font=>'arial 10 bold',
	-options  => [ @{$self->{stepList}}])->place(-x => 78,-y => $placey,-width => 100,-height => 25);

	$dialog{mifile}{frm}->placeForget();
	$dialog{mifile}{frmStatus} = "close";




	#==================
	#==================
	#==================
	#==================
	my $balloon = $mw->Balloon(-state => 'balloon',-balloonposition => 'mouse' );
    my $frm3 = $mw->LabFrame(-label => '输出选项',-fg => 'black',-font => 'Bitstream 12 bold',-borderwidth => 2,-bg => $bg_clr2)
	                           ->place(-x => 650,-y => 50,-width => 170,-height => 580);
	$placey = 5;
	my $oriChck = $frm3->Checkbutton(-text => "Orig资料",-font => 'Helvetica 12  bold',
		  			 -command=>sub{$self->show_frm2("orig");$self->select_all_layers("orig","auto");},
				      -offvalue => '0',	
		             -onvalue => '1',
		              -variable => \$dialog{orig}{sel},-bg => '#52ceaf',-anchor => 'w')
					  ->place(-x => 15,-y => $placey,-width => 120,-height => 25);
	$balloon->attach($oriChck,-postcommand=>sub{$self->show_frm2("orig")});



	$placey += 35;
	my $drlChk = $frm3->Checkbutton(-text => "CNC资料",-font => 'Helvetica 12  bold',
		  			 -command=>sub{$self->show_frm2("drl");$self->select_all_layers("drl","auto");},
				      -offvalue => '0',	
		              -onvalue => '1',
		              -variable => \$dialog{drl}{sel},-bg => '#52ceaf',-anchor => 'w')	
					  ->place(-x => 15,-y => $placey,-width => 120,-height => 25);
	$balloon->attach($drlChk,-postcommand=>sub{$self->show_frm2("drl")});

	$placey += 35;
	my $ldiChk = $frm3->Checkbutton(-text => "线路LDI",-font => 'Helvetica 12  bold',
		  			 -command=>sub{$self->show_frm2("culdi"),$self->select_all_layers("culdi","auto");},
				      -offvalue => '0',	
		              -onvalue => '1',
		              -variable => \$dialog{culdi}{sel},-bg => '#52ceaf',-anchor => 'w')	
					  ->place(-x => 15,-y => $placey,-width => 120,-height => 25);
	$balloon->attach($ldiChk,-postcommand=>sub{$self->show_frm2("culdi")});




	$placey += 35;
	my $maskChk =  $frm3->Checkbutton(-text => "阻焊",-font => 'Helvetica 12  bold',
		  			 -command=>sub{$self->show_frm2("mask"),$self->select_all_layers("mask","auto");},
				      -offvalue => '0',	
		              -onvalue => '1',
		              -variable => \$dialog{mask}{sel},-bg => '#52ceaf',-anchor => 'w')	
					  ->place(-x => 15,-y => $placey,-width => 120,-height => 25);
	$balloon->attach($maskChk,-postcommand=>sub{;$self->show_frm2("mask")});

	$placey += 35;
	my $silkChk = $frm3->Checkbutton(-text => "字符",-font => 'Helvetica 12  bold',
		  			 -command=>sub{$self->show_frm2("silk"),$self->select_all_layers("silk","auto");},
				      -offvalue => '0',	
		              -onvalue => '1',
		              -variable => \$dialog{silk}{sel},-bg => '#52ceaf',-anchor => 'w')	
					  ->place(-x => 15,-y => $placey,-width => 120,-height => 25);
	$balloon->attach($silkChk,-postcommand=>sub{$self->show_frm2("silk")});


	$placey += 35;
	my $silkprintChk = $frm3->Checkbutton(-text => "字符打印机",-font => 'Helvetica 12  bold',
		  			 -command=>sub{$self->show_frm2("silkprint"),$self->select_all_layers("silkprint","auto");},
				      -offvalue => '0',	
		              -onvalue => '1',
		              -variable => \$dialog{silkprint}{sel},-bg => '#52ceaf',-anchor => 'w')	
					  ->place(-x => 15,-y => $placey,-width => 120,-height => 25);
	$balloon->attach($silkprintChk,-postcommand=>sub{$self->show_frm2("silkprint")});


	$placey += 35;
	my $guanwanChk = $frm3->Checkbutton(-text => "钢网",-font => 'Helvetica 12  bold',
		  			 -command=>sub{$self->show_frm2("guanwan"),$self->select_all_layers("guanwan","auto");},
				      -offvalue => '0',	
		              -onvalue => '1',
		              -variable => \$dialog{guanwan}{sel},-bg => '#52ceaf',-anchor => 'w')	
					  ->place(-x => 15,-y => $placey,-width => 120,-height => 25);
	$balloon->attach($guanwanChk,-postcommand=>sub{$self->show_frm2("guanwan")});

	$placey += 35;
	my $pdfChk = $frm3->Checkbutton(-text => "PDF&DXF资料",-font => 'Helvetica 12  bold',
		  			 -command=>sub{$self->show_frm2("pdf"),$self->select_all_layers("pdf","auto");},
				      -offvalue => '0',	
		              -onvalue => '1',
		              -variable => \$dialog{pdf}{sel},-bg => '#52ceaf',-anchor => 'w')	
					  ->place(-x => 15,-y => $placey,-width => 140,-height => 25);
	$balloon->attach($pdfChk,-postcommand=>sub{$self->show_frm2("pdf")});



	$placey += 35;
	my $mifileChk = $frm3->Checkbutton(-text => "封边文档",-font => 'Helvetica 12  bold',
		  			 -command=>sub{$self->show_frm2("mifile"),$self->select_all_layers("pdf","auto");},
				      -offvalue => '0',	
		              -onvalue => '1',
		              -variable => \$dialog{mifile}{sel},-bg => '#52ceaf',-anchor => 'w')	
					  ->place(-x => 15,-y => $placey,-width => 120,-height => 25);
	$balloon->attach($mifileChk,-postcommand=>sub{$self->show_frm2("mifile")});

	$placey += 45;
	$frm3->Button(-text    =>"全部选择",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',
                  -command => sub{$self->select_all_item("select")},
        )->place(-x => 15,-y => $placey,-width=> 65,-height => 25);

	$frm3->Button(-text    =>"全部取消",
				 -bg               => '#9bdbdb',
                 -font => 'Helvetica 10  bold',
                 -command => sub{$self->select_all_item("clear")},
        )->place(-x => 90,-y => $placey,-width=> 65,-height => 25);



    $frm3->Button(-text => '输出',-font=>"Helvetica 12 bold",-bg => '#9bdbdb',
				-command => sub{$self->run_output()},
		          )->place(-x => 25,-y => 520,-width=> 60,-height => 25);


    $frm3->Button(-text => '退出',-font=>"Helvetica 12 bold",-bg => '#9bdbdb',-command => sub{exit})
	            ->place(-x => 90,-y => 520,-width=> 60,-height => 25);

	#-默认全部选择
	$self->select_all_item("select");

	$mw->update;
	$mw->stayOnTop;
    MainLoop;
}


sub select_all_item{
	my $self = shift;
	my $act = shift;
	if ($act =~ /select/) {
		foreach my $part  (@{$self->{all_part}}) {
			$self->{dialog}{$part}{sel}=1;
			$self->select_all_layers($part,"auto");
		}
	}
	else{
		foreach my $part  (@{$self->{all_part}}) {
			$self->{dialog}{$part}{sel}=0;
			$self->select_all_layers($part,"clear");
		}
	}
}





sub change_lsxs{
	my $self = shift;
	my $part = shift;
	my $list = $self->{dialog}{$part}{selLayers};
	foreach my $layer (keys %{$list}) {
		if ( $list->{$layer}{sel} != 1) {next;}

		$list->{$layer}{xscale} = $self->{dialog}{$part}{xscale};
		$list->{$layer}{yscale} = $self->{dialog}{$part}{yscale};
	}
}




sub show_frm2{
	my $self = shift;
	my $part = shift;	
	foreach my $one (@{$self->{all_part}}) {
		if ($one ne $part ) {
			if ($self->{dialog}{$one}{frmStatus} =~ /open/) {
				$self->{dialog}{$one}{frm}->placeForget();	
				$self->{dialog}{$one}{frmStatus} = "close";
			}
		}
		else{
			$self->{dialog}{$one}{frm}->place(-x => 5,-y => 5,-width => 620,-height => 565);
			$self->{dialog}{$one}{frmStatus} = "open";
		}
	}
	
}



#====================================
sub select_all_layers{
	my $self = shift;
	my $type = shift;
	my $action = shift;
	if ($action =~ /clear/i) {
		#$self->{dialog}{$type}{sel} = 0;
		foreach my $layer (keys %{$self->{dialog}{$type}{selLayers}}) {
			$self->{dialog}{$type}{selLayers}{$layer}{sel} = 0;			
		}
	}
	if ($action =~ /select/i) {
		#$self->{dialog}{$type}{sel} = 1;
		foreach my $layer (keys %{$self->{dialog}{$type}{selLayers}}) {
			$self->{dialog}{$type}{selLayers}{$layer}{sel} = 1;
		}
	}

	if ($action =~ /auto/i) {
		foreach my $layer (keys %{$self->{dialog}{$type}{selLayers}}) {
			if ($self->{dialog}{$type}{sel}) {
				$self->{dialog}{$type}{selLayers}{$layer}{sel} = 1;
			}
			else{
				$self->{dialog}{$type}{selLayers}{$layer}{sel} = 0;
			}
		}
	}
}



#-----深圳订单过滤掉一些层
sub gwsz{
	my $self = shift;
	my $type = "guanwan";
	
	if ($self->{dialog}{$type}{shenzhen} =~ /否/){   #--信丰
		$self->select_all_layers("guanwan","select");
		foreach my $layer (keys %{$self->{dialog}{$type}{selLayers}}) {
			if ($layer =~ /^ts\d|^bs\d|^tl\d|^bl\d|fz|ddt|ddb|ysz|dqb|dk|mao|ddt|ddb/) {
				$self->{dialog}{$type}{selLayers}{$layer}{sel} = 0;
			}
		}
	}
	else{
		$self->select_all_layers("guanwan","select");
		foreach my $layer (keys %{$self->{dialog}{$type}{selLayers}}) {
			if ($layer =~ /^ts\d|^bs\d|^tl\d|^bl\d|fz|ddt|ddb|ysz|dqb|dk|mao/) {
				$self->{dialog}{$type}{selLayers}{$layer}{sel} = 0;
			}
		}
	}
}




#====================================
sub get_type_layers{
	my $self = shift;
	my $type = shift;

	my @all = ();
	if (! exists $self->{CopperLayers}) {
		$self->fen_layers_type;
	}
	
	if ($type =~ /orig$/) {
		foreach my $layer (sort{$self->{matrix}{$a}{row}<=>$self->{matrix}{$b}{row}} keys %{$self->{matrix}} ) {
			if ($layer =~ /\+/) {
				next;
			}
			if ( $self->{matrix}{$layer}{context} =~ /board/i || $layer =~ /^tp$|^bp$|^pt$|^pb$/){
				my $empty = $self->empty_layer($self->{dialog}{orig}{step},$layer,"break");
				if ($empty) {
					push @all,$layer;
				}
			}
		}
	}
	elsif ($type =~ /guanwan$/) {
		foreach my $layer (sort{$self->{matrix}{$a}{row}<=>$self->{matrix}{$b}{row}} keys %{$self->{matrix}} ) {
			if ($layer =~ /\+|^ts\d|^bs\d|^tl\d|^bl\d|fz|ddt|ddb|yzs|dqb|dk|mao/) {
				next;
			}		
			
			if ( $self->{matrix}{$layer}{context} =~ /board/i || $layer =~ /^tp$|^bp$|^pt$|^pb$|^via$/){
				
				my $empty = $self->empty_layer($self->{dialog}{guanwan}{step},$layer,"break");
				if ($empty) {
					push @all,$layer;
				}
			}
		}
	}
	elsif ($type =~ /drl$/) {
		@all = (@{$self->{DrillLayers}},@{$self->{routLayers}},@{$self->{vcutLayers}},@{$self->{mapLayers}} );
	}
	elsif ($type =~ /inner$/) {
		@all = @{$self->{InnerLayers}};
	}
	elsif ($type =~ /outer$/) {
		@all = @{$self->{OuterLayers}};
	}
	elsif ($type =~ /mask$/) {
		@all = @{$self->{SolderMaskLayers}};
	}
	elsif ($type =~ /silk$/) {
		@all = @{$self->{SilkScreenLayers}};
	}
	elsif ($type =~ /silkprint$/) {
		@all = @{$self->{SilkScreenLayers}};
	}
	elsif ($type =~ /culdi$/) {
		my @tops = @{$self->{culdiLayersT}};
		my @bots = @{$self->{culdiLayersB}};
		@tops  = sort {$self->{matrix}{$a}{row} <=> $self->{matrix}{$b}{row}} @tops ;
		@bots  = sort {$self->{matrix}{$a}{row} <=> $self->{matrix}{$b}{row}} @bots ;
		return \@tops,\@bots;
	}
	elsif ($type =~ /pdf$/) {
		@all = @{$self->{pdfLayers}};
	}
		
	@all = sort {$self->{matrix}{$a}{row} <=> $self->{matrix}{$b}{row}} @all;
	return \@all;
}




#=========层分类===========================
sub fen_layers_type{

	my $self = shift;	
	@{$self->{CopperLayers}} = ();
	@{$self->{OuterLayers}} = ();
	@{$self->{InnerLayers}} = ();
	@{$self->{SolderMaskLayers}} = ();
	@{$self->{SolderPasteLayers}} = ();
	@{$self->{SilkScreenLayers}} = ();
	@{$self->{DrillLayers}} = ();
	@{$self->{routLayers}} = ();

	@{$self->{culdiLayersT}} = ();
	@{$self->{culdiLayersB}} = ();

	@{$self->{vcutLayers}} = ();
	@{$self->{mapLayers}} = ();

	@{$self->{pdfLayers}} = ();

	@{$self->{fzLayers}} = ();
	my %fz;

	
	foreach my $layer (sort {$self->{matrix}{$a}{row} <=> $self->{matrix}{$b}{row}} keys %{$self->{matrix}}) {

		$self->{matrix}{$layer}{color} = '#9BDBDB';

		if  ($layer =~ /^vcut$/) {
			push @{$self->{vcutLayers}},$layer;  #---
		}
		elsif  ($layer =~ /^map$/) {
			push @{$self->{mapLayers}},$layer;  #---
		}
		elsif  ($layer =~ /biaozhu|gdd|vcutmap/) {
			push @{$self->{pdfLayers}},$layer;  #---
		}
		elsif  ($layer =~ /^via$|^mao$|^jk$/) { #--检孔jk
			push @{$self->{DrillLayers}},$layer;  #----塞孔 	
		}
		elsif ($layer =~ /^gko$/) {
			push @{$self->{routLayers}},$layer;  #---
		}
		elsif ($layer =~ /^(\d{1,2})\-(\d{1,2})fz$/) {       #---辅助层
			my ($num1,$num2) = ($1,$2);
			if ($num1<$num2) {
				push @{$self->{culdiLayersT}},$layer;    #---ldi TOP
			}
			else{
				push @{$self->{culdiLayersB}},$layer;    #---ldi BOT
			}			
			push @{$self->{fzLayers}},$layer;		
		}



		elsif ( $self->{matrix}{$layer}{context} =~ /board/i && $self->{matrix}{$layer}{layer_type} =~ /signal|mixed|power/i) {
			if ( $self->{matrix}{$layer}{side} =~ /top|bot/i){				
				push @{$self->{OuterLayers}},$layer;    #---外层线路
			}
			else{
				push @{$self->{InnerLayers}},$layer;    #---内层线路
			}
			if ($self->{matrix}{$layer}{layer_type} =~/power/) {
				$self->{matrix}{$layer}{color} = '#DBAD00';
			}
			else{
				$self->{matrix}{$layer}{color} = '#FDC74E';
			}


			if ($layer =~ /tl$|t$/) {
				push @{$self->{culdiLayersT}},$layer;    #---ldi TOP
			}
			elsif ($layer =~ /bl$|b$/) {
				push @{$self->{culdiLayersB}},$layer;    #---ldi BOT
			}
			push @{$self->{CopperLayers}},$layer;  #---铜层
		
		}
		elsif ($self->{matrix}{$layer}{context} =~ /board/i && $self->{matrix}{$layer}{layer_type} =~ /drill/i) {
			$self->{matrix}{$layer}{color} = '#9BB5BF';
			push @{$self->{DrillLayers}},$layer;  #----钻孔 		;
		}
		elsif  ( $self->{matrix}{$layer}{context} =~ /board/i && $self->{matrix}{$layer}{layer_type} =~ /silk_screen/i) {
			$self->{matrix}{$layer}{color} = '#FFFFFF';
			push @{$self->{SilkScreenLayers}},$layer;  #----文字			
		}
		elsif  ( $self->{matrix}{$layer}{context} =~ /board/i && $self->{matrix}{$layer}{layer_type} =~ /mask/i) {
			$self->{matrix}{$layer}{color} = '#00A57C';
			push @{$self->{SolderMaskLayers}},$layer;  #----阻焊	
		}
		elsif  ( $self->{matrix}{$layer}{context} =~ /board/i && $self->{matrix}{$layer}{layer_type} =~ /paste/i) {
			$self->{matrix}{$layer}{color} = '#FFFFCE';
			push @{$self->{SolderPasteLayers}},$layer;  #----挡油			
		}
		elsif  (  $self->{matrix}{$layer}{layer_type} =~ /rout/i ) {
			$self->{matrix}{$layer}{color} = '#D9D9D9';
			push @{$self->{routLayers}},$layer;  #---			
		}
	}


#	#---去掉与辅助层相对应的层，
#	my @newT = ();
#	foreach my $one (@{$self->{culdiLayersT}}) {
#		if (! exists $fz{$one}) {
#			push @newT,$one;
#		}
#	}
#	#$self->{culdiLayersT} = \@newT;
#
#	my @newB = ();
#	foreach my $one (@{$self->{culdiLayersB}}) {
#		if (! exists $fz{$one}) {
#			push @newB,$one;
#		}
#	}
	#$self->{culdiLayersB} = \@newB;
}


sub run_output{
	my $self = shift;

	#---判断原有的层是否改动过
	#---$self->check_layer_change;

	#------检查拉伸系数
	if ($self->check_ls_value() =~ /no/i) {
		return;
	}

	$self->{TOPWIN}->destroy;
	#$self->use_date;   #----到时日期

	#---开始输出
	$self->OutputGerberMain;

	$self->tipMessage("提示","输出完毕",500,300);
	exit;
}


#========================================
#========================================
#---判断原有的层是否改动过
sub check_layer_change{
	my $self        = shift;
	my @all = ();
	my $chLayerp = $self->if_change_job_layer();
	foreach my $part (@{$self->{all_part}}) {
		if ($self->{dialog}{$part}{sel}) {
			my $list = $self->{dialog}{$part}{selLayers};
			foreach my $layer (sort{$self->{matrix}{$a}{row}<=>$self->{matrix}{$b}{row}} keys %{$list} ) {
			if ( $list->{$layer}{sel} != 1) {next;}
				if (grep /^$layer$/,@{$chLayerp}) {
					if (! grep (/^$layer$/,@all)) { 
						push @all,$layer;
					}
				}
			}
		}
	}
	if (@all) {
		my $txt = join ',',@all;
		my $an = $self->{TOPWIN}->messageBox(-message=>"${txt}改动过,是否继续",-title   => "id:$$",-icon    => 'info',-type    => 'YesNo');
		if ($an =~ /no/i) {
			return;
		}
	}
	#$topmw->messageBox(-message=>"存在蓝胶层，请单独选择输出",-title   => "id:$$",-icon    => 'info',-type    => 'Ok');
}



sub dirDialogNormal{
	my $self     = shift;
	my $topmw    = shift;
    my $dir      = $topmw->chooseDirectory;
	#$dir         = decode('gb2312',$dir);
    return $dir;
}


#------检查拉伸系数
sub check_ls_value{
	my $self     = shift;
	my @xs = ();
	my @ys = ();
	my $flag = 0;
	my $char = 0;
	my $txt = "";
	if ($self->{dialog}{culdi}{sel}) {
		foreach my $layer (keys %{$self->{dialog}{culdi}{selLayers}}) {
			if ($self->{dialog}{culdi}{selLayers}{$layer}{xscale}>=10 || $self->{dialog}{culdi}{selLayers}{$layer}{yscale}>=10) {
				$flag = 1;
			}
	
			#---各层系数相差<2  外层不算
			if ($layer !~ /^tl|^bl/) {
				push @xs,$self->{dialog}{culdi}{selLayers}{$layer}{xscale};
				push @ys,$self->{dialog}{culdi}{selLayers}{$layer}{yscale};
				@xs = sort {$a<=>$b} @xs;
				@ys = sort {$a<=>$b} @ys;
				if ($xs[-1]-$xs[0] > 2 || $ys[-1]-$ys[0]>2) {
					$char = 1;
				}
			}
		}		
	}
	

	if ($flag) {
		$txt .= "比例超过10/万\n";
	}

	if ($char) {
		$txt .= "比例差值超过2/万";
	}

	if ($txt ne "") {
		my $an = $self->{TOPWIN}->messageBox(-message=>"$txt,是否继续",-title   => "id:$$",-icon    => 'info',-type    => 'YesNo');
		if ($an =~ /no/i) {
			return  "no";
		}
	}
	return "yes";
}
#========================================
#========================================

#========================================
#========================================
#========================================


1;

