#!/usr/bin/perl

=head
     02/16/19 HongBaiQing
=cut

package MsSQL;

use strict;
use warnings;
use utf8;
use DBI;



sub inquire_qiangda_main{
	my $self	   = shift;
	my $jobPath    = shift;#传入job路径
	my $job		   = uc($self->{Job});

	$self->get_qingda_connect();

	print "jobPath: $jobPath\n";
	if ($self->{MsSql}{dbh} !~ /dbi/i) {
		print "no conect database\n";
		if (-e $jobPath."/user/mes_staup_info") {
			unlink $jobPath."/user/mes_staup_info";
		}
		$self->tipMessage("提示","链接不到 EMS 数据库,请检查!",500,300);
		return;
	}else{
		print "Conect ok\n";
	}


	eval{
	#--获取叠构信息, 传入参叠构信息保存的路径.  ****这里必须先执行，查询内，外层铜厚要写入参数 $jobPath."/user/mes_paramter_info"****
	$self->inquire_stackup_info($job,$jobPath."/user/mes_staup_info");

   
    #inquire_stackup_info 获取 "外层铜厚==".$self->{mesinfo}{Outer_Cu}."\n";
	#inquire_stackup_info 获取 "内层铜厚==".$self->{mesinfo}{Inner_Cu}."\n";
    #--获取参数， 传入参数保存的路径
	
    $self->inquire_Parameter($job,$jobPath."/user/mes_paramter_info");
	};

	#--关闭连接
	$self->disconnectMsSql();
}

sub update_mes_diaglog{
	my $self	   = shift;
	my $dialog     = shift;

    #--板厚
	$dialog->{thinkness}    = $self->{mesinfo}{board_thk};

	#--阻焊颜色
	$dialog->{solder_color} = $self->{mesinfo}{sm_color};

	#--字符颜色
	$dialog->{silk_color}   = $self->{mesinfo}{silk_color};
    
    #--板长
	$dialog->{length}       = $self->{mesinfo}{PNL_LEN};

	#--板宽
	$dialog->{width}        = $self->{mesinfo}{PNL_WTH};

	#--外层铜厚:
    #$dialog->{Outer_Cu}   = $self->{mesinfo}{Outer_Cu};#--外层铜厚
	
	#--内层铜厚:
	#$dialog->{Inner_Cu}   = $self->{mesinfo}{Inner_Cu};#--内层铜厚
}

sub inquire_stackup_info{
	my $self	   = shift;
    my $job		   = shift;
	my $resultFile = shift;

	if (-e $resultFile) {
		unlink $resultFile;
	}

	#Pdctno4StackUp_　型号名称    StackUpLayerNo_ 层序号  StackUpMTR_ 材料类型   StackupMTRFoil_  铜箔厚度   b.StackUpMTRType_材料名称
    my $sql  = 'select a.Pdctno4StackUp_,b.StackUpLayerNo_,b.StackUpMTR_,b.StackupMTRFoil_,b.StackUpMTRType_ from T_Pub_StackInfo as a
                LEFT JOIN T_Pub_StackUp as b on  a.Guid_ = b.Guid4StackUpMain_
                where a.Pdctno4StackUp_ = '."\'$job\'"; 
	#print $sql."\n";
	my $data       = $self->FetchrowArrayMsSql($sql);
    
	my $dataFlag = 0;
	my $allData = undef;
	my @allCu;#--记录全部层铜厚
	foreach my $line (@$data) {
		#print "@{$line} =$#{$line}\n";
		$line->[3] =~ s/_PT_1//g;
		my $i = 0;
		my $singleLine;
		while ($i <= $#{$line}) {
			#my $encode = encode("gb2312",$line->[$i]);
			my $encode = $line->[$i];
			$singleLine .= $i."=".$encode.";";			
			$i ++;
		}
		if ($line->[2] =~ /OZ/) {
			push @allCu,$line->[3];
		}
		$allData .= $singleLine."\n";
		$dataFlag ++;
	}

    $self->{mesinfo}{Outer_Cu} = 0;#--外层铜厚
	$self->{mesinfo}{Inner_Cu} = 0;#--内层铜厚
	if ($#allCu > 0) {
		 $self->{mesinfo}{Outer_Cu} = $allCu[0];#--外层铜厚获取第一层的
		 #print "allCu: $#allCu ==>@#allCu\n";
		 if ($#allCu > 2) {#--
			 $self->{mesinfo}{Inner_Cu} = $allCu[1];
			 my $i = 1;
			 while ($i < $#allCu) {#--只比对内层 从第一个开始($i = 1)  到 $#allCu - 1 结束($i < $#allCu) 
				 #print "$i $allCu[$i]\n";
				 if ($allCu[$i] > $self->{mesinfo}{Inner_Cu}) {#--获取内层最厚的铜厚
					 $self->{mesinfo}{Inner_Cu} = $allCu[$i];
				 }
				 $i ++;
			 }
		 }
	}

	if (! defined  $allData) {
		$self->tipMessage("提示","未取到MES层压信息,请检查",500,300);
		#exit;
	}
	

	open  MY_FILE, ">:encoding(utf8)",$resultFile or die "$!";
	print MY_FILE "$allData\n";
	close MY_FILE;
}

#--获取参数，传入参数
sub inquire_Parameter{
	my $self	   = shift;
	my $job        = shift;
	my $resultFile = shift;#--结果写入的文件

	if (-e $resultFile) {
		unlink $resultFile;
	}

	my $sql = "";
	#--阻焊颜色
	#$sql  = 'select b.Value_ from T_ppe_MakeModuleNo a inner join T_ppe_MakeTechParameter  b on a.Guid_ = b.Guid_ and 
	#           b.Guid4MOD_ = \'4fec2b8d-573d-ec11-89d4-005056916dd1\'  where a.PdctNo_ = '."\'$job\'";
	$sql  = 'select b.Value_ from T_ppe_MakeModuleNo a inner join T_ppe_MakeTechParameter  b on a.Guid_ = b.Guid_ and 
	            b.Guid4MOD_ = \'A42C7623-6C1A-E511-9063-78ACC03D06A8\'  where a.PdctNo_ = '."\'$job\'";
	$self->{mesinfo}{sm_color} = $self->inquire_qian_data_sql($sql);

	#--字符颜色
	#$sql  = 'select b.Value_ from T_ppe_MakeModuleNo a inner join T_ppe_MakeTechParameter  b on a.Guid_ = b.Guid_ and 
	#            b.Guid4MOD_ = \'ac471cb2-583d-ec11-89d4-005056916dd1\'  where a.PdctNo_ = '."\'$job\'";
	$sql  = 'select b.Value_ from T_ppe_MakeModuleNo a inner join T_ppe_MakeTechParameter  b on a.Guid_ = b.Guid_ and 
	            b.Guid4MOD_ = \'C02C7623-6C1A-E511-9063-78ACC03D06A8\'  where a.PdctNo_ = '."\'$job\'";
	$self->{mesinfo}{silk_color} = $self->inquire_qian_data_sql($sql);

    #--层数
	$sql  = 'select Layer_ from T_ppe_MakeModuleNo where PdctNo_ = '."\'$job\'";
	$self->{mesinfo}{board_layers} = $self->inquire_qian_data_sql($sql);
    #print "board_layers==>".$self->{mesinfo}{board_layers}."\n";

    #--客户型号
	$sql  = 'select Cust_NAME_ from T_ppe_MakeModuleNo where PdctNo_ = '."\'$job\'";
	$self->{mesinfo}{cust_name} = $self->inquire_qian_data_sql($sql);
    #print "cust_name==>".$self->{mesinfo}{cust_name}."\n";


    #--板厚
	$sql  = 'select b.Value_ from T_ppe_MakeModuleNo a inner join T_ppe_MakeTechParameter  b on a.Guid_ = b.Guid_ and 
	            b.Guid4MOD_ = \'672C7623-6C1A-E511-9063-78ACC03D06A8\'  where a.PdctNo_ = '."\'$job\'";
	$self->{mesinfo}{board_thk} = $self->inquire_qian_data_sql($sql);
    #print "board_thk==>".$self->{mesinfo}{board_thk}."\n";

    #--板长
	$sql  = 'select b.PNL_LEN from T_ppe_MakeModuleNo a inner join T_ppe_MakePnlParameter  b on a.Guid_ = b.Guid_ 
             where a.PdctNo_ = '."\'$job\'";
	$self->{mesinfo}{PNL_LEN} = $self->inquire_qian_data_sql($sql);
    #print "PNL_LEN==>".$self->{mesinfo}{PNL_LEN}."\n";

    #--板宽
	$sql  = 'select b.PNL_WTH from T_ppe_MakeModuleNo a inner join T_ppe_MakePnlParameter  b on a.Guid_ = b.Guid_ 
             where a.PdctNo_ = '."\'$job\'";
	$self->{mesinfo}{PNL_WTH} = $self->inquire_qian_data_sql($sql);
    #print "PNL_WTH==>".$self->{mesinfo}{PNL_WTH}."\n";
    
    #--这个是外层线路工艺（正负片）
	$sql  = 'select b.Value_ from T_ppe_MakeModuleNo a inner join T_ppe_MakeTechParameter  b on a.Guid_ = b.Guid_
	         and  b.Guid4MOD_ = \'b82c7623-6c1a-e511-9063-78acc03d06a8\' where a.PdctNo_ = '."\'$job\'";

	$self->{mesinfo}{outer_gongyi} = $self->inquire_qian_data_sql($sql);
    #print "outer_gongyi==>".$self->{mesinfo}{outer_gongyi}."\n";

	#--阻焊油墨型号
	$sql  = 'SELECT  ISNULL(Value_,\'\') 
			FROM T_ppe_MakeModuleNo a
			left join T_ppe_MakeTechParameter  b on a.Guid_ = b.Guid_ and b.Guid4MOD_=\'A52C7623-6C1A-E511-9063-78ACC03D06A8\' 
			WHERE ISNULL(Value_,\'\') <> \'\' and  a.PdctNo_ = '."\'$job\'";
	$self->{mesinfo}{solder_ink_type} = $self->inquire_qian_data_sql($sql);
    #print "solder_ink_type==>".$self->{mesinfo}{solder_ink_type}."\n";

	###############保存结果
	open  MY_FILE, ">:encoding(utf8)",$resultFile or die "$!";

	print MY_FILE "阻焊颜色==".$self->{mesinfo}{sm_color}."\n";
	print MY_FILE "字符颜色==".$self->{mesinfo}{silk_color}."\n";

	print MY_FILE "层数==".$self->{mesinfo}{board_layers}."\n";
	print MY_FILE "客户型号==".$self->{mesinfo}{cust_name}."\n";

	print MY_FILE "板厚==".$self->{mesinfo}{board_thk}."\n";

	print MY_FILE "板长==".$self->{mesinfo}{PNL_LEN}."\n";
	print MY_FILE "板宽==".$self->{mesinfo}{PNL_WTH}."\n";

	print MY_FILE "外层线路工艺==".$self->{mesinfo}{outer_gongyi}."\n";

	print MY_FILE "外层铜厚==".$self->{mesinfo}{Outer_Cu}."\n";
	print MY_FILE "内层铜厚==".$self->{mesinfo}{Inner_Cu}."\n";

	print MY_FILE "阻焊油墨型号==".$self->{mesinfo}{solder_ink_type}."\n";
	close MY_FILE;
}

#--查询返回单个值
sub inquire_qian_data_sql{
	my $self	   = shift;
	my $sql        = shift;

	my $data       = $self->FetchrowArrayMsSql($sql);
    my $result     = "";
	my $i          = 0;
	foreach my $line (@$data) {
		$result = $line;
		$i ++;
	}
	if ($i > 0) {
		return $result->[0];
	}
	return "";
}

=head
数据库类型 SQL 2008
地址 192.168.15.201
数据库名称 jinlu_db
连接的用户名 cam
密码 Cam.com159
=cut
sub get_qingda_connect{
	my $self     = shift;

	$self->get_MSSQL_connect('192.168.0.58,8588','DATABASE4QD','EMS_ME','Qd138139!@');
}

##创建一个数据库句柄
sub get_MSSQL_connect{
	my $self     = shift;
	my $dsn      = 'DBI:ODBC:Driver={SQL Server}';

	#my $host     = $self->get_ERP_HOST_addr();

	my $host     = shift;
	my $database = shift;
	my $user     = shift;
	my $auth     = shift;

    my $dbh;
    eval{
	     $dbh = DBI->connect("$dsn;Server=$host;Database=$database",
							$user,
							$auth,
							{ RaiseError => 1, AutoCommit => 1}
							) || die "Database connection not made: $DBI::errstr";
	};

    print "connet error\n" if($@);
    $self->{dbh} = ($dbh =~ /dbi/i ) ? $dbh : 'no';
	$self->{MsSql}{dbh} = ($dbh =~ /dbi/i ) ? $dbh : 'no';

}
#------------------------------------------------------------------------------------------------------------------------------------

#-------------------------------------------------------------------------------------------------------------------------------------
#-------------------------------------------------------------------------------------------------------------------------------------
#-------------------------------------------------------------------------------------------------------------------------------------
#对数据库正行增删改查操作
sub sqlExecuteMsSql{
    my $self = shift;
    my $sqlCom = shift;
	if ($self->{MsSql}{dbh} !~ /dbi/i) {
		return;
	}
	print "sqlExecuteMsSql: ".$sqlCom."\n";
    eval{
        $self->{MsSql}{sth} = $self->{MsSql}{dbh}->prepare($sqlCom) or die $self->{MsSql}{dbh}->error;
        $self->{MsSql}{sth}->execute() or die $self->{MsSql}{dbh}->error;
    };
    #print "sqlExecuteMsSql end\n";
    #$self->StopMsgBox('error',"数据库操作失败！\n$@") if($@);
	print "$@\n" if($@);
    $self->message_ok("数据库操作失败\n $@") if($@);
    return 1;
}

#-------------------------------------------------------------------------------------------------------------------------------------

#断开数据库连接
sub disconnectMsSql{
    my 	$self = shift;
    
	if ($self->{MsSql}{dbh} ne '' && $self->{MsSql}{dbh} !~ /no/){
		$self->{MsSql}{dbh}->disconnect();
		#--delete $self->{MsSql}{dbh};
    }
}

#-------------------------------------------------------------------------------------------------------------------------------------

#名字		:FetchrowArray
#功能		:使用fetchrow_array方式获取数据库内容
#参数		:sql语句
#返回值		:
#使用例子	:$h->FetchrowArray('select * from ...');
sub FetchrowArrayMsSql{
    my  $self = shift;
    my  $sqlCom = shift;
    my  $data;
    
    #执行sql语句
    $self->sqlExecuteMsSql($sqlCom);
    
    #获取数据库返回值
    while(my @row = $self->{MsSql}{sth}->fetchrow_array()){
        push @$data,\@row;
    }

    if ($self->{MsSql}{sth} ne ''){
		$self->{MsSql}{sth}->finish();
		delete $self->{MsSql}{sth};
    }
    
    return $data;
}

#-------------------------------------------------------------------------------------------------------------------------------------

#名字		:FetchrowArrayref
#功能		:使用fetchrow_arrayref方式获取数据库内容
#参数		:sql语句
#返回值		:
#使用例子	:$h->FetchrowArrayref('select * from ...');
sub FetchrowArrayrefMsSql{
    my  $self = shift;
    my  $sqlCom = shift;
    my  $data;
    
    #执行sql语句
    $self->sqlExecuteMsSql($sqlCom);
        
    while ( my  $row_ref = $self->{MsSql}{sth}->fetchrow_arrayref()){
        push @$data,$row_ref;
    }
    
    if ($self->{MsSql}{sth} ne ''){
		$self->{MsSql}{sth}->finish();
		delete $self->{MsSql}{sth};
    }
    
    return $data;
}

#-------------------------------------------------------------------------------------------------------------------------------------

#名字		:FetchrowHashref
#功能		:使用fetchrow_hashref方式获取数据库内容
#参数		:sql语句
#返回值		:
#使用例子	:$h->FetchrowHashref('select * from ...');
sub FetchrowHashrefMsSql{
    my  $self = shift;
    my  $sqlCom = shift;
    my  $data;
    
    #执行sql语句
    $self->sqlExecuteMsSql($sqlCom);
        
    while ( my  $row_ref = $self->{MsSql}{sth}->fetchrow_hashref()){
        push @$data,$row_ref;
    }
    
    if ($self->{MsSql}{sth} ne ''){
		$self->{MsSql}{sth}->finish();
		delete $self->{MsSql}{sth};
    }
    
    return $data;
}

#-------------------------------------------------------------------------------------------------------------------------------------

#名字		:FetchallArrayref
#功能		:使用fetchall_arrayref方式获取数据库内容
#参数		:sql语句
#返回值		:
#使用例子	:$h->FetchallArrayref('select * from ...');
sub FetchallArrayrefMsSql{
    my  $self = shift;
    my  $sqlCom = shift;
    my  $data;
    
    
    #执行sql语句
    $self->sqlExecuteMsSql($sqlCom);
        
    my $table = $self->{MsSql}{sth}->fetchall_arrayref;
    
    if ($self->{MsSql}{sth} ne ''){
		$self->{MsSql}{sth}->finish();
		delete $self->{MsSql}{sth};
    }
    
    return $table;
}

#-------------------------------------------------------------------------------------------------------------------------------------


sub get_ERP_BoardThk{
	my $self = shift;	
	my $job  = uc($self->{Job});
    #my $sql  = 'select b.pnbefore,b.pdctno,a.pdctno,a.bthick from NetMktNodxhb a,Netmktcpxxb b where a.pdctno=b.custsty
    #            and rtrim(b.pnbefore)+rtrim(b.pdctno)='."\'$job\'";
    $self->read_save_job_item_history("read");
    if (exists $self->{item}{board_thk} && exists $self->{item}{Job}) {
		if ($self->{Job} eq $self->{item}{Job}) {
			return;
		}
    }
	$self->{item}{Job} = $self->{Job};

    my $sql  = 'select a.bthick from NetMktNodxhb a,Netmktcpxxb b where a.pdctno=b.custsty
                and rtrim(b.pnbefore)+rtrim(b.pdctno)='."\'$job\'";
    $self->get_connect();
	if ($self->{MsSql}{dbh} !~ /dbi/i) {
		$self->message_ok("连接不到 ERP, 请检查网络!");
		return;
	}
	my $data = $self->FetchrowArrayMsSql($sql);
	foreach my $line (@$data) {
		#$self->message_ok("$line->[0] ==@$line");
		$self->{item}{board_thk} = $line->[0];#---板厚信息
	}
	$self->disconnectMsSql();
	$self->read_save_job_item_history("save");
}

#-------------------------------------------------------------------------------------------------------------------------------------



1;

