#!/usr/bin/perl

=head
     01/29/16 HongBaiQing
=cut

package Pic;

use strict;
use warnings;

sub get_picture_icon{
	my $self       = shift;
	#$self->log_picture_jingmei()
	#-gif 32x32
	my $pic;
	if ($self->{id_cur} =~ /jingmei/) {
		$pic  = $self->log_picture_jingmei();
	}
	elsif ($self->{id_cur} =~ /delong/) {
		$pic  = $self->log_picture_badat();
	}
	elsif ($self->{id_cur} =~ /badat/i) {
		$pic  = $self->log_picture_hengyi();
	}
	elsif ($self->{id_cur} =~ /hengyi/i) {
		$pic  = $self->log_picture_hengyi();
	}
	else{
	    #$self->log_picture_xuda();
	    $pic  = $self->log_picture_xudaOld();
	}
	

	return $pic;
}

#-30x30
sub log_picture_badat{
	my $self = shift;
	my $pic  = 'R0lGODlhIAAgAHAAACH/C05FVFNDQVBFMi4wAwEBAAAh+QQBAAD8ACwAAAAAIAAgAIcAAAAAADMA
AGYAAJkAAMwAAP8AKwAAKzMAK2YAK5kAK8wAK/8AVQAAVTMAVWYAVZkAVcwAVf8AgAAAgDMAgGYA
gJkAgMwAgP8AqgAAqjMAqmYAqpkAqswAqv8A1QAA1TMA1WYA1ZkA1cwA1f8A/wAA/zMA/2YA/5kA
/8wA//8zAAAzADMzAGYzAJkzAMwzAP8zKwAzKzMzK2YzK5kzK8wzK/8zVQAzVTMzVWYzVZkzVcwz
Vf8zgAAzgDMzgGYzgJkzgMwzgP8zqgAzqjMzqmYzqpkzqswzqv8z1QAz1TMz1WYz1Zkz1cwz1f8z
/wAz/zMz/2Yz/5kz/8wz//9mAABmADNmAGZmAJlmAMxmAP9mKwBmKzNmK2ZmK5lmK8xmK/9mVQBm
VTNmVWZmVZlmVcxmVf9mgABmgDNmgGZmgJlmgMxmgP9mqgBmqjNmqmZmqplmqsxmqv9m1QBm1TNm
1WZm1Zlm1cxm1f9m/wBm/zNm/2Zm/5lm/8xm//+ZAACZADOZAGaZAJmZAMyZAP+ZKwCZKzOZK2aZ
K5mZK8yZK/+ZVQCZVTOZVWaZVZmZVcyZVf+ZgACZgDOZgGaZgJmZgMyZgP+ZqgCZqjOZqmaZqpmZ
qsyZqv+Z1QCZ1TOZ1WaZ1ZmZ1cyZ1f+Z/wCZ/zOZ/2aZ/5mZ/8yZ///MAADMADPMAGbMAJnMAMzM
AP/MKwDMKzPMK2bMK5nMK8zMK//MVQDMVTPMVWbMVZnMVczMVf/MgADMgDPMgGbMgJnMgMzMgP/M
qgDMqjPMqmbMqpnMqszMqv/M1QDM1TPM1WbM1ZnM1czM1f/M/wDM/zPM/2bM/5nM/8zM////AAD/
ADP/AGb/AJn/AMz/AP//KwD/KzP/K2b/K5n/K8z/K///VQD/VTP/VWb/VZn/Vcz/Vf//gAD/gDP/
gGb/gJn/gMz/gP//qgD/qjP/qmb/qpn/qsz/qv//1QD/1TP/1Wb/1Zn/1cz/1f///wD//zP//2b/
/5n//8z///8AAAAAAAAAAAAAAAAI8QD3CRxIsKDBgwgTKlzIsKHDhxAjSowIT93EhergXVSob97G
jwI1CcwxRo0yTcqWRXMIrQ1BAQISCBg4c18aSjUHqrNYsA0dgSVjKoM5M4HABAiMEtxJsM0QpwIR
CEAwEKkagWpgLiXHleCQr0MEDkBAhmbOqUr1rdNFDhg5r2AFas2RJseyfTnyEiPIta9HgZ8mTMjw
puE8ct7Y0nprMJqEDBLcNFysyxu5dvoQSpgggQhDfYkTM0Y4pIcECQrp0fJGix07hhNMo044zzKt
dcIcuplwkB3r3xHpDWw3r1yt36tBKl/OvLnz59CjS5/ePCAAOw==

';
	return $pic;
}


sub log_picture_hengyi{
	my $self = shift;
	my $pic  = 'R0lGODlhIAAgAHAAACH5BAEAAPwALAAAAAAgACAAhwAAAAAAMwAAZgAAmQAAzAAA/wArAAArMwAr
ZgArmQArzAAr/wBVAABVMwBVZgBVmQBVzABV/wCAAACAMwCAZgCAmQCAzACA/wCqAACqMwCqZgCq
mQCqzACq/wDVAADVMwDVZgDVmQDVzADV/wD/AAD/MwD/ZgD/mQD/zAD//zMAADMAMzMAZjMAmTMA
zDMA/zMrADMrMzMrZjMrmTMrzDMr/zNVADNVMzNVZjNVmTNVzDNV/zOAADOAMzOAZjOAmTOAzDOA
/zOqADOqMzOqZjOqmTOqzDOq/zPVADPVMzPVZjPVmTPVzDPV/zP/ADP/MzP/ZjP/mTP/zDP//2YA
AGYAM2YAZmYAmWYAzGYA/2YrAGYrM2YrZmYrmWYrzGYr/2ZVAGZVM2ZVZmZVmWZVzGZV/2aAAGaA
M2aAZmaAmWaAzGaA/2aqAGaqM2aqZmaqmWaqzGaq/2bVAGbVM2bVZmbVmWbVzGbV/2b/AGb/M2b/
Zmb/mWb/zGb//5kAAJkAM5kAZpkAmZkAzJkA/5krAJkrM5krZpkrmZkrzJkr/5lVAJlVM5lVZplV
mZlVzJlV/5mAAJmAM5mAZpmAmZmAzJmA/5mqAJmqM5mqZpmqmZmqzJmq/5nVAJnVM5nVZpnVmZnV
zJnV/5n/AJn/M5n/Zpn/mZn/zJn//8wAAMwAM8wAZswAmcwAzMwA/8wrAMwrM8wrZswrmcwrzMwr
/8xVAMxVM8xVZsxVmcxVzMxV/8yAAMyAM8yAZsyAmcyAzMyA/8yqAMyqM8yqZsyqmcyqzMyq/8zV
AMzVM8zVZszVmczVzMzV/8z/AMz/M8z/Zsz/mcz/zMz///8AAP8AM/8AZv8Amf8AzP8A//8rAP8r
M/8rZv8rmf8rzP8r//9VAP9VM/9VZv9Vmf9VzP9V//+AAP+AM/+AZv+Amf+AzP+A//+qAP+qM/+q
Zv+qmf+qzP+q///VAP/VM//VZv/Vmf/VzP/V////AP//M///Zv//mf//zP///wAAAAAAAAAAAAAA
AAjxAPcJHEiwoMGDCBMqXMiwocOHEBkKkOFABgIZmiIOzKFMU4AcAnPIwIEAh8aQyhAUjCYjgQwB
ES3uI4aQogxlEEnuU3nwos6HCASYRKjMJc+TCHHIhJhR4cWjAgFIBTBwWRiqDWf8HKjigIoYA/Xh
WOHwacEVBmIAUEtVDAwAKgBkmilQWaa4ArcOjMFXrTJl9W4EUAbgwNxhAsVo+rtP09KDc9HUHZZm
WCZ6+6JNkrwPDc2Ly5AizFRSdE2Xpg2y1Jt6p1mIaRJelAGy9UAZFAOcDDqQWMWSMEU/tYnbdsmW
FmunXibgt+3n0KNLn34wIAA7

';
	return $pic;
}



sub log_picture_delong{
	my $self = shift;
	my $pic  = 'R0lGODlhIAAgAPcAAAAAAAAAMwAAZgAAmQAAzAAA/wArAAArMwArZgArmQArzAAr/wBVAABVMwBV
ZgBVmQBVzABV/wCAAACAMwCAZgCAmQCAzACA/wCqAACqMwCqZgCqmQCqzACq/wDVAADVMwDVZgDV
mQDVzADV/wD/AAD/MwD/ZgD/mQD/zAD//zMAADMAMzMAZjMAmTMAzDMA/zMrADMrMzMrZjMrmTMr
zDMr/zNVADNVMzNVZjNVmTNVzDNV/zOAADOAMzOAZjOAmTOAzDOA/zOqADOqMzOqZjOqmTOqzDOq
/zPVADPVMzPVZjPVmTPVzDPV/zP/ADP/MzP/ZjP/mTP/zDP//2YAAGYAM2YAZmYAmWYAzGYA/2Yr
AGYrM2YrZmYrmWYrzGYr/2ZVAGZVM2ZVZmZVmWZVzGZV/2aAAGaAM2aAZmaAmWaAzGaA/2aqAGaq
M2aqZmaqmWaqzGaq/2bVAGbVM2bVZmbVmWbVzGbV/2b/AGb/M2b/Zmb/mWb/zGb//5kAAJkAM5kA
ZpkAmZkAzJkA/5krAJkrM5krZpkrmZkrzJkr/5lVAJlVM5lVZplVmZlVzJlV/5mAAJmAM5mAZpmA
mZmAzJmA/5mqAJmqM5mqZpmqmZmqzJmq/5nVAJnVM5nVZpnVmZnVzJnV/5n/AJn/M5n/Zpn/mZn/
zJn//8wAAMwAM8wAZswAmcwAzMwA/8wrAMwrM8wrZswrmcwrzMwr/8xVAMxVM8xVZsxVmcxVzMxV
/8yAAMyAM8yAZsyAmcyAzMyA/8yqAMyqM8yqZsyqmcyqzMyq/8zVAMzVM8zVZszVmczVzMzV/8z/
AMz/M8z/Zsz/mcz/zMz///8AAP8AM/8AZv8Amf8AzP8A//8rAP8rM/8rZv8rmf8rzP8r//9VAP9V
M/9VZv9Vmf9VzP9V//+AAP+AM/+AZv+Amf+AzP+A//+qAP+qM/+qZv+qmf+qzP+q///VAP/VM//V
Zv/Vmf/VzP/V////AP//M///Zv//mf//zP///wAAAAAAAAAAAAAAACH5BAEAAPwALAAAAAAgACAA
AAj/APcJHEiwoMGDCBMqXMiwYUFw7ugZpNfu3Ll2Eh0KzOYKVbZX54ZRfJUK1StUqV6BswWu3TCM
7tq5M9ju1UdpqKSllJYt2zSb2FJJIzmtJKpeGQ3W20fPnTtzNk2iwkby40eq2ZImVAZK2TKBFMGB
m5oqaLZUHNs1HIYmRowbYzIpY3rOVjaPrs5OG+ZQmZgYAAIfEKNMWdNXOjlOs6Vxn7JMgQWLybSv
nV20qNQ2pjcJcGQ0c/UhfrX34LLCqOcSvBE5sBhi+755RHXOIOTWACgTJOY58r56vYa+0jxwEu7c
B9G0viFw7M+CxnHDPog7mkBe01AVvN1at0ExrWMMjxwmraBy3N4LRkM/MCTB6K01JewNIAxBcATP
t+Z7kB598QPx8t5x6RGkDG44EDTTQPpFJl9BfoHX2nQHwRcZfwIp09aBraGhUIOByUVMJmgEIIY+
aeC2EIjHEaMMfQColpCEx02mDGuRxTCJjAnpt8INk434FwA/EqbRiC4OpIwmmExSYGNQRinllFRW
eVBAADs=

';
	return $pic;
}

sub log_picture_xuda{
	my $self = shift;
	my $pic = 'R0lGODlhIAAgAHAAACH5BAEAAPwALAAAAAAgACAAhwAAAAAAMwAAZgAAmQAAzAAA/wArAAArMwAr
ZgArmQArzAAr/wBVAABVMwBVZgBVmQBVzABV/wCAAACAMwCAZgCAmQCAzACA/wCqAACqMwCqZgCq
mQCqzACq/wDVAADVMwDVZgDVmQDVzADV/wD/AAD/MwD/ZgD/mQD/zAD//zMAADMAMzMAZjMAmTMA
zDMA/zMrADMrMzMrZjMrmTMrzDMr/zNVADNVMzNVZjNVmTNVzDNV/zOAADOAMzOAZjOAmTOAzDOA
/zOqADOqMzOqZjOqmTOqzDOq/zPVADPVMzPVZjPVmTPVzDPV/zP/ADP/MzP/ZjP/mTP/zDP//2YA
AGYAM2YAZmYAmWYAzGYA/2YrAGYrM2YrZmYrmWYrzGYr/2ZVAGZVM2ZVZmZVmWZVzGZV/2aAAGaA
M2aAZmaAmWaAzGaA/2aqAGaqM2aqZmaqmWaqzGaq/2bVAGbVM2bVZmbVmWbVzGbV/2b/AGb/M2b/
Zmb/mWb/zGb//5kAAJkAM5kAZpkAmZkAzJkA/5krAJkrM5krZpkrmZkrzJkr/5lVAJlVM5lVZplV
mZlVzJlV/5mAAJmAM5mAZpmAmZmAzJmA/5mqAJmqM5mqZpmqmZmqzJmq/5nVAJnVM5nVZpnVmZnV
zJnV/5n/AJn/M5n/Zpn/mZn/zJn//8wAAMwAM8wAZswAmcwAzMwA/8wrAMwrM8wrZswrmcwrzMwr
/8xVAMxVM8xVZsxVmcxVzMxV/8yAAMyAM8yAZsyAmcyAzMyA/8yqAMyqM8yqZsyqmcyqzMyq/8zV
AMzVM8zVZszVmczVzMzV/8z/AMz/M8z/Zsz/mcz/zMz///8AAP8AM/8AZv8Amf8AzP8A//8rAP8r
M/8rZv8rmf8rzP8r//9VAP9VM/9VZv9Vmf9VzP9V//+AAP+AM/+AZv+Amf+AzP+A//+qAP+qM/+q
Zv+qmf+qzP+q///VAP/VM//VZv/Vmf/VzP/V////AP//M///Zv//mf//zP///wAAAAAAAAAAAAAA
AAj/AGMIHEiwoMGDBm8MVLiQIMOCDx8ilHhA4YEYF2NInHjwwDRsH6dNk5bto8OGBg/YwIhjWrZX
JUlmk/Yq5AEYGDcyfDjNVUmQMLFhK+kyG0iBOAVuxAlgZs1sCARWPOAgmyuQ2RygRCrQAQAEL6Vl
xJm0q45pNbEdtDgNQFOSMdwCiIFDawycB0hKm9agI7ZXbtGmiuvWY8kcdmM8GApBqcauJd2+koYt
41yj2TLjkBoy8cAcNN1mnoYYx0UADzL/hGz07sCmqbIFdvXR6DSvGK1mliEwR0nPTY/iABpzqNID
vjN3JTlt4AHYalv6zPw0m+VpqKZl/Jkx7itsg6ui/z1AvmS2zRgXZ0Ml+iXBpi7p0lYrMJW3aehj
JJfddGb3pqhIQ9dLzd3V3wOuOfARYADUxhtGAMT2CkbzWUaZWAINV5NbPk3zUFO0CYRWNnEJBEFm
iB3wwIKBWfXfTwr5ttdALT1FE1rSBBbfa99pF4MDaT2QUVUy/eWSaGgRdEBJrzw4XCokOfDgd8z5
JFplBeFQIWST1XQRXggAJZorKRGIoEBgxYbNgxniGNhdEcUgA00lufZjDj/0NVBVf0mG0I/gYfPA
Q2XRCB5/3UGkWFjZDGpQAw5AgONJW8VAnEvSPPAADg/kENJ3JP6ZJQQkDRWSeamAFJVjj7XqagwI
1BcE02iuMCfqn2XJgMOuDuAgQ0YrvRpDQAA7

';
	return $pic;
}

sub log_picture_xudaOld{
	my $self       = shift;
	my $pic = 'R0lGODlhIAAgAPcAAAAAAAAAMwAAZgAAmQAAzAAA/wArAAArMwArZgArmQArzAAr/wBVAABVMwBV
ZgBVmQBVzABV/wCAAACAMwCAZgCAmQCAzACA/wCqAACqMwCqZgCqmQCqzACq/wDVAADVMwDVZgDV
mQDVzADV/wD/AAD/MwD/ZgD/mQD/zAD//zMAADMAMzMAZjMAmTMAzDMA/zMrADMrMzMrZjMrmTMr
zDMr/zNVADNVMzNVZjNVmTNVzDNV/zOAADOAMzOAZjOAmTOAzDOA/zOqADOqMzOqZjOqmTOqzDOq
/zPVADPVMzPVZjPVmTPVzDPV/zP/ADP/MzP/ZjP/mTP/zDP//2YAAGYAM2YAZmYAmWYAzGYA/2Yr
AGYrM2YrZmYrmWYrzGYr/2ZVAGZVM2ZVZmZVmWZVzGZV/2aAAGaAM2aAZmaAmWaAzGaA/2aqAGaq
M2aqZmaqmWaqzGaq/2bVAGbVM2bVZmbVmWbVzGbV/2b/AGb/M2b/Zmb/mWb/zGb//5kAAJkAM5kA
ZpkAmZkAzJkA/5krAJkrM5krZpkrmZkrzJkr/5lVAJlVM5lVZplVmZlVzJlV/5mAAJmAM5mAZpmA
mZmAzJmA/5mqAJmqM5mqZpmqmZmqzJmq/5nVAJnVM5nVZpnVmZnVzJnV/5n/AJn/M5n/Zpn/mZn/
zJn//8wAAMwAM8wAZswAmcwAzMwA/8wrAMwrM8wrZswrmcwrzMwr/8xVAMxVM8xVZsxVmcxVzMxV
/8yAAMyAM8yAZsyAmcyAzMyA/8yqAMyqM8yqZsyqmcyqzMyq/8zVAMzVM8zVZszVmczVzMzV/8z/
AMz/M8z/Zsz/mcz/zMz///8AAP8AM/8AZv8Amf8AzP8A//8rAP8rM/8rZv8rmf8rzP8r//9VAP9V
M/9VZv9Vmf9VzP9V//+AAP+AM/+AZv+Amf+AzP+A//+qAP+qM/+qZv+qmf+qzP+q///VAP/VM//V
Zv/Vmf/VzP/V////AP//M///Zv//mf//zP///wAAAAAAAAAAAAAAACH5BAEAAPwALAAAAAAgACAA
AAj/AGMIHEiwoMGDBm8MVLiQIMOCDx8ilHhA4YEYF2NInHjwAI4HQCxc4BDEQg4HDhsaPGADIw4L
Ii9ciGmhw8wHB2Bg3MjwoYWSI0NaAAIByMwLRizgEKhT4EadL2UCcYBg4QEHIWVaQOmUYFMHOBDM
zJFRZ1OBDnSIDMIVIsapLzs8iHEWB1edB36IBNKgo44OMhyUzKFR4AGjJts+sAmhK0OsF8CKxJFR
YM29S99aMNJ2YI4OFgLLrHCScowcD4BuRauV7sAGew/IAC1TKte8UmUIzCGzs+ALc6NeBm3B6YHP
FiqgBdKBsGHeSmMIl4HD6AUgGQ/LzCiyQuUKM1lf/1h6QHt0gQ84jLd8nSDii3HbOpCZ+fRk9tgH
gs+PQ6ZzGC9ZMJdOv3EFXmiG/TATeSL9kBECRlyXEQ7qcYXYQzrMpFsMIhXHEASgnXTAA/RhBFN+
aNnkgEI51DSXQFFddx1Mc91wQXMERZUfZEDgtJxNtXWwFInrDYQbgtLZNJQDGz5ggV5jHQZaZTDO
hKJgtBlxUVMIDIaASM4RdJiLAyGQ1QUbwmiTXUBwQFdEMcjQ4YBo5fBDXwM5IBJVQIRpEGRyPXTW
QFHhgANZHIFU2wMbxdCAAxDc2JlEEmEF00wCPvBRi4ixhdBBOEAQYZAjBQlEVV0VpuqqMSDQYlI0
PRGZ5qcHnUWdoWDJkFFLrMYQEAA7

';
	return $pic
}

sub log_picture_jingmei{
	my $self       = shift;
	my $logpicture = 'R0lGODlhIAAgAPcAAAAAAAAAMwAAZgAAmQAAzAAA/wArAAArMwArZgArmQArzAAr/wBVAABVMwBV
ZgBVmQBVzABV/wCAAACAMwCAZgCAmQCAzACA/wCqAACqMwCqZgCqmQCqzACq/wDVAADVMwDVZgDV
mQDVzADV/wD/AAD/MwD/ZgD/mQD/zAD//zMAADMAMzMAZjMAmTMAzDMA/zMrADMrMzMrZjMrmTMr
zDMr/zNVADNVMzNVZjNVmTNVzDNV/zOAADOAMzOAZjOAmTOAzDOA/zOqADOqMzOqZjOqmTOqzDOq
/zPVADPVMzPVZjPVmTPVzDPV/zP/ADP/MzP/ZjP/mTP/zDP//2YAAGYAM2YAZmYAmWYAzGYA/2Yr
AGYrM2YrZmYrmWYrzGYr/2ZVAGZVM2ZVZmZVmWZVzGZV/2aAAGaAM2aAZmaAmWaAzGaA/2aqAGaq
M2aqZmaqmWaqzGaq/2bVAGbVM2bVZmbVmWbVzGbV/2b/AGb/M2b/Zmb/mWb/zGb//5kAAJkAM5kA
ZpkAmZkAzJkA/5krAJkrM5krZpkrmZkrzJkr/5lVAJlVM5lVZplVmZlVzJlV/5mAAJmAM5mAZpmA
mZmAzJmA/5mqAJmqM5mqZpmqmZmqzJmq/5nVAJnVM5nVZpnVmZnVzJnV/5n/AJn/M5n/Zpn/mZn/
zJn//8wAAMwAM8wAZswAmcwAzMwA/8wrAMwrM8wrZswrmcwrzMwr/8xVAMxVM8xVZsxVmcxVzMxV
/8yAAMyAM8yAZsyAmcyAzMyA/8yqAMyqM8yqZsyqmcyqzMyq/8zVAMzVM8zVZszVmczVzMzV/8z/
AMz/M8z/Zsz/mcz/zMz///8AAP8AM/8AZv8Amf8AzP8A//8rAP8rM/8rZv8rmf8rzP8r//9VAP9V
M/9VZv9Vmf9VzP9V//+AAP+AM/+AZv+Amf+AzP+A//+qAP+qM/+qZv+qmf+qzP+q///VAP/VM//V
Zv/Vmf/VzP/V////AP//M///Zv//mf//zP///wAAAAAAAAAAAAAAACH5BAEAAPwALAAAAAAgACAA
AAj/AJUJHEiwoEGBywYmVLZwGTGGDx1CnChRWTGBw3oNy6jx4UB6AkEOrHcwJLE/fv6g9GNIIUNN
mWAS0zRM5kxiEZURI1So0B9CfxYRfIhmxYEYRmMcXarUIz2fKX0WyimwnpgYMm4gwBoDB9ajmRLW
k9rTT6FhCT0qi4YDxwEZXeNujZGGJD1GQAuZ/dOr6kBiVt/ekPFWaVcc+gT2ivpHL6NoxKJJWrj2
Kly4bnHA1blsmFmfeUkqmxSjoBgHMRrA5Xog4jCVeqWCXJYpgBjKy8QU9or6wKRl0NyV7fkzYqYY
XUUyvLr1cgwx0ZQJ//zzzzCBxHYjVEZP82DVqkMy//q81xZDZcjh3hAd2evlGzE82trbsxAjfQm7
ItAqhmA9r24RlglDizUm1R/0PKQVV8lRphlWN6wACkaNmQUUIRFdFQNqMuBAUG4HeFUYScvwQl9j
VYDE1mUHhMHeMl51ldUB0HE3Xmyv/MEIdkvJIAY0yySkT1ZwNRfDb9yRVWEvJGnSFY24ebUfkUd5
RIwfF0qFkIb96STQg++pt1Avf7wS2x9bqOjWbSPFoNV3RT4X3V1RFZLjZA8996F7XBE22JEMPQUa
cdcpowmbCMH5JlyF/UXfXgNpItBF3a1m6WBHxSDWYq/QVwh7Ciklg2oLbqUZjQPZ0thPPjFC2UBp
GE3GFHI3HBVAWAwt4oeZe123EFUJXZRQRdhht+qZxQ6lrEsFeUYFSii1VKxHxHr5EDESRUTMMA9x
W6hLamFLFbglXbTPueimq+667KYbEAA7

';
	return $logpicture;
}


1;

